﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            R&S FSQ26: (1 yr) VER /LPNX,4419,DMM,LFCTR,SWPG,UWSG
DATE:                  2011-02-28
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       504
CONFIGURATION:         Fluke 9640A-LPNX
CONFIGURATION:         Agilent E4419B
CONFIGURATION:         HP 8485A on channel 1
CONFIGURATION:         HP 8485A on channel 2
CONFIGURATION:         Digital Multimeter
CONFIGURATION:         LF Counter
CONFIGURATION:         Sweep Generator
CONFIGURATION:         µW Signal Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#@
#@ Model(s) Covered:
#@       FSQ26
#@
#@ Source(s):
#@       R&S® Service Manual Instrument, Signal Analyzer, R&S® FSQ3,
#@       R&S® FSQ8, R&S® FSQ26, R&S® FSQ31, R&S® FSQ40, Part No.
#@       1155.5047.82-08-
#@
#@       R&S® Signal Analyzer Specifications, Version 10.00, July 2010
#@
#@ Compatibility:
#@       MET/CAL 7.3.26 or later
#@
#  Subprocedures:
#        Sub Display Copyright
#        Sub UUT Connection GPIB
#        Sub MET/CAL Version Check
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub Connection Precautions (Type N)
#        Sub Connector Precautions (SMA)
#        Sub Connector Precautions (3.5 mm)
#        Sub FSQ Set Configuration Variables
#        Sub Check Frequency Reference Accuracy
#        Sub FSU Add'l Equipment Minimum Use Requirements
#        Sub HP/Agilent E441x Cal Factor Utility IEEE
#        Sub FSU (1 yr) Frequency Reference VER /LFCTR
#        Sub FSQ (1 yr) IF Image Rejection VER /SWPG
#        Sub FSU IF Image/Rejection Test /SWPG
#        Sub FSU (1 yr) Third Order VER /SWPG,UWSG
#        Sub FSU (1 yr) TOI Tests
#        Sub FSU TOI Test /SWPG,UWSG
#        Sub FSU (1 yr) Harmonic Distortion VER /9640
#        Sub FSU Second Harmonic Distortion Test /9640
#        Sub FSU (1 yr) IF Filter VER /9640
#        Sub FSU IF Filter Bandwidth Switching Test /9640
#        Sub FSQ (1 yr) Noise Display VER
#        Sub FSQ (1 yr) Noise Display Tests
#        Sub FSU Noise Display Test
#        Sub FSU (1 yr) Level Accuracy VER /LPNX
#        Sub FSQ (1 yr) Frequency Response (HF/RF) VER
#        Sub FSQ Frequency Response (HF) Ref Set /LPNX
#        Sub FSQ Frequency Response Tests (HF)
#        Sub FSQ Characterize Power Splitter Tracking Errors
#        Sub FSQ Set RF Frequency Response Test Lvl /4419,SWPG
#        Sub FSQ Compute RF Freq Response Reference Uncertainty
#        Sub FSQ Frequency Response Tests (RF)
#        Sub FSQ (1 yr) µW Frequency Response VER /4419,SWPG
#        Sub Level Signal /4419,8485,SWPG
#        Sub FSQ µW Frequency Response Tests
#        Sub FSU µW Frequency Response Test /4419,SWPG
#        Sub FSU (1 yr) Display Linearity VER /LPNX
#        Sub FSU-B25 (1 yr) RF Attenuator Accuracy VER /LPNX
#        Sub FSU-B25 (1 yr) Electronic Attenuator VER /LPNX
#        Sub FSU (1 yr) RF Attenuator Accuracy VER /LPNX
#        Sub FSU (1 yr) Reference Level Switching VER /LPNX
#        Sub FSU (1 yr) Phase Noise VER /LPNX
#        Sub FSU-B21 (1 yr) LO Level VER /4419
#        Sub FSU-B21 (1 yr) Level Display VER /9640
#        Sub FSU-B21 (1 yr) Bias Supply VER /DMM
#        Sub FSU Set Reference Level (dBm) /9640
#        Sub FSU Set Reference Level (dBm) /SWPG
#        Sub FSU Set Reference Level (dBm) /UWSG
#        Sub FSU Take Sweep (MKPK, MKCF)
#        Sub FSU Take Sweep (MKPK)
#        Sub FSU Take Sweep (MKCF)
#        Sub FSU Take Sweep Only
#
#  Flexible Driver subprocedures:
#        Sub Initialize /DMM (Rev. 1.6 or later)
#        Sub Reset /DMM
#        Sub Measure /DMM
#        Sub Setup /DMM
#        Sub Read /DMM
#        Sub Get Accuracy /DMM
#        Sub Send Command /DMM (Revv. 1.2 or later)
#
#        Sub Initialize /LFCTR (Rev. 1.10 or later)
#        Sub Reset /LFCTR
#        Sub Measure /LFCTR
#        Sub Setup /LFCTR
#        Sub Read /LFCTR
#        Sub Send Command /LFCTR (Rev. 1.3 or later)
#
#        Sub Initialize /SWPG (Rev. 1.6 or later)
#        Sub Reset /SWPG
#        Sub Output Off /SWPG
#        Sub Apply /SWPG
#        Sub Get Options /SWPG
#        Sub Get Accuracy /SWPG
#        Sub Send Command /SWPG (Rev. 1.2 or later)
#
#        Sub Initialize /UWSG (Rev. 1.5 or later)
#        Sub Reset /UWSG
#        Sub Output Off /UWSG
#        Sub Apply /UWSG
#        Sub Send Command /UWSG (Rev. 1.2 or later)
#
#  Required Files:
#        e441x_100mw_uw_sensor_zero.jpg
#        e4419_100mw_uw_sensor_zero.jpg
#        fsu_direct_to_lpnx.jpg
#        fsu_10db_to_lpnx.jpg
#        fsu_rf_freq_resp_swpg.jpg
#        fsu_freq_resp_hookup_swpg.jpg
#        fsu_if_image_hookup_swpg.jpg
#        fsu_toi_hookup_swpg_uwsg.jpg
#        fsu_lo_level_hookup_4419.jpg
#        fsu_ext_mix_hookup_1_9640.jpg
#        fsu_ext_mix_hookup_2_9640.jpg
#@
#@ Flexible Standard(s) Required:
#@       Synthesized Sweep Generator (SWPG):
#@
#@         Frequency Range: 10 MHz to 26.5 GHz, CW
#@           Accuracy: ±0.02% (Internal); External Reference capable
#@
#@         Amplitude Range: -40 dBm to +16 dBm
#@           Resolution: 0.02 dB
#@
#@         SSB Phase Noise: <-80 dBc/Hz @ 50 kHz offset
#@
#@         Example: HP 83630B or equivalent
#@
#@       µW Signal Generator (UWSG):
#@
#@         Frequency Range: 10 MHz to 26.5 GHz, CW
#@           Accuracy: ±0.02% (Internal); External Reference capable
#@
#@         Amplitude Range: -40 dBm to +16 dBm
#@           Resolution: 0.02 dB
#@
#@         SSB Phase Noise: <-80 dBc/Hz @ 50 kHz offset
#@
#@         Example: Anritsu MG3694B or equivalent
#@
#@       LF Counter (LFCTR):
#@
#@         Ch. A Frequency Range: 10 MHz
#@           Accuracy: Based on external frequency standard
#@
#@         Example: Fluke PM 6690/6xx or equivalent
#@
#@       Digital Multimeter (DMM):
#@
#@         DC Current Function : 0 to ±10 mA
#@           Accuracy: ±(4% + 0.25 mA) or better
#@
#@         Example: Fluke 8845A or equivalent
#@
#@       Frequency Standard:
#@
#@         Frequency Range: Suitable for use with configured LF counter
#@           Accuracy: ±0.025 ppm or better (standard)
#@                     ±0.0075 ppm or better (Option FSU-B4)
#@
#@ Additional Equipment Required:
#@       See "Sub FSQ Add'l Equipment Minimum Use Requirements" for specific
#@         equipment, adapters, and cables required.
#@
#  The Procedure was tested using:
#
#        Model No.    : FSQ-26
#        Serial No.   : 200315/026
#        Options      : FS-K5, FSP-B16, FSQ-B23, FSU-B25, FSQ-K70
#        Firmware Rev.: 4.65
#
#        Model No.    : FSQ-26
#        Serial No.   : 200425/026
#        Options      : FSU-B4, FSP-B10, FSP-B16, FSU-B25
#        Firmware Rev.: 4.65
#
#@ The average run times during testing were:
#@       1 hr., 55 min.
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P J             C   Z        A        W

  1.002  IF           0
  1.003  LPNX         Reset
  1.004  IEEE         [@DMM]
  1.004  IEEE         [@LFCTR]
  1.004  IEEE         [@SWPG]
  1.004  IEEE         [@UWSG]
  1.005  ENDIF

  1.006  IF           NOT(VERSIONCHECK("7.3.26"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright

  1.010  HEAD         PRELIMINARY INSTRUCTIONS
  1.011  DISP         Prior to beginning verification, a UUT warm-up time of
  1.011  DISP         30 minutes minimum, must have been allowed to elapse.
  1.011  DISP
  1.011  DISP         Note that the specifications used during the internal
  1.011  DISP         reference frequency verification are based on 30 days
  1.011  DISP         of continuous operation.

  1.012  CALL         Sub UUT Connection GPIB

  1.013  HEAD         UUT IDENTIFICATION
  1.014  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.015  MATH         @UUT_Manufacturer  = "Rohde&Schwarz"
  1.016  MATH         @UUT_Model         = "FSQ-26"
  1.017  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.018  IF           @Abort
  1.019  END
  1.020  ENDIF

# Extract UUT frequency range from serial number for test use in subs.
  1.021  MATH         @FreqRange = FLD(@SerialNum, 2, "/")
# Reset statement for UUT, clearing UUT status register.
  1.022  RESET        *CLS

# Test to ensure MET/CAL initialization file parameter "acc_check" = "yes"
  1.023  IF           ZCMPI(INI("startup", "acc_check"), "no")
  1.024  HEAD         INCORRECT MET/CAL® INITIALIZATION FILE SETTING!
  1.025  DISP         The file parameter setting is: "acc_check=no"
  1.025  DISP
  1.025  DISP         For correct procedure execution, this parameter
  1.025  DISP         MUST be set to: "acc_check=yes"
  1.025  DISP
  1.025  DISP         Select "Advance" to terminate the procedure, exit
  1.025  DISP         MET/CAL®, change the initialization file parameter,
  1.025  DISP         restart MET/CAL, then restart the procedure.
  1.026  END
  1.027  ENDIF

  1.028  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.029  CALL         Sub Select Failed Test Mode
  1.030  CALL         Sub Select Verification Method

  1.031  HEAD         CONNECTION INFORMATION
  1.032  OPBR         -z Do you wish to review connector information and
  1.032  OPBR         precautions for the various types of connections
  1.032  OPBR         employed throughout this procedure?[NO]

  1.033  IF           MEM1
  1.034  CALL         Sub Connector Precautions (Type N)
  1.035  CALL         Sub Connector Precautions (SMA)
  1.036  CALL         Sub Connector Precautions (3.5 mm)
  1.037  ENDIF

  1.038  HEAD         PROCEDURE DESCRIPTION
  1.039  DISP         This procedure supports the FSQ series Spectrum
  1.039  DISP         Analyzer and the following option(s):
  1.039  DISP
  1.039  DISP         - FSU-B4  (OCXO, 10 MHz)
  1.039  DISP         - FSU-B9  (Tracking Generator)
  1.039  DISP         - FSU-B12 (Attenuator For Tracking Generator)
  1.039  DISP         - FSU-B21 (External Mixer Support)
  1.039  DISP         - FSQ-B23 (20 dB RF Preamplifier, 3.6 to 26.5 GHz)
  1.039  DISP         - FSU-B25 (Electronic Attenuator)
  1.039  DISP         - FSU-B88 (RF Converter)
  1.039  DISP
  1.039  DISP         [32]                       NOTE
  1.039  DISP         Some available UUT options do not require periodic
  1.039  DISP         verification or are not supported.

  1.040  CALL         Sub FSQ Set Configuration Variables

  1.041  HEAD         EQUIPMENT REQUIREMENTS

  1.042  IF           @Opt_B4
  1.043  MATH         @ReqFreqRefAcc_ppm = 0.0075
  1.044  ELSE
  1.045  MATH         @ReqFreqRefAcc_ppm = 0.025
  1.046  ENDIF

  1.047  CALL         Sub Check Frequency Reference Accuracy

  1.048  IF           @Abort
  1.049  END
  1.050  ENDIF

  1.051  IF           @Opt_B21
  1.052  CALL         Sub Initialize /DMM
  1.053  ENDIF

  1.054  CALL         Sub Initialize /LFCTR
  1.055  CALL         Sub Initialize /SWPG
  1.056  CALL         Sub Initialize /UWSG
  1.057  MATH         FreqRef = INI("startup", "FreqRefDevName")

  1.058  IF           NOT(ZCMP(FreqRef, @LFCTR_DevName))
  1.059  DISP         Connect the [V FreqRef] 10 MHz OUT to the
  1.059  DISP         [V @LFCTR_DevName] [V @LFCTR_RefIn].
  1.060  ENDIF

  1.061  MATH         @Abort = 0
  1.062  CALL         Sub FSU Add'l Equipment Minimum Use Requirements

  1.063  IF           @Abort
  1.064  END
  1.065  ENDIF

  1.066  HEAD         POWER METER CAL FACTORS
  1.067  HEAD         -2 Cal Factor Maintenance
  1.068  OPBR         -z 2 ea. 8485A Power Sensors are required during the
  1.068  OPBR         performance of this verification. (Only cal factors
  1.068  OPBR         associated with the 8485A connected to CHANNEL A are
  1.068  OPBR         required.)
  1.068  OPBR
  1.068  OPBR         Do you wish to review, enter, delete, or rename Power
  1.068  OPBR         Meter cal factor table entries for required sensor(s)
  1.068  OPBR         prior to proceeding?

  1.069  IF           MEM1
  1.070  CALL         Sub HP/Agilent E441x Cal Factor Utility IEEE
  1.071  ENDIF

  1.072  HEAD         POWER SENSOR ZERO and CAL
  1.073  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.074  HEAD         -2 Power Sensor Connections
  1.075  DISP         Connect an 8485A ("Reference") Power Sensor to the
  1.075  DISP         EPM-series Power Meter CHANNEL A.
  1.075  DISP
  1.075  DISP         Connect another 8485A ("Buried") Power Sensor to the
  1.075  DISP         EPM-series Power Meter CHANNEL B.
  1.076  HEAD         -2 Channel A: 8485A ("Reference") Power Sensor
  1.077  PIC          e441x_100mw_uw_sensor_zero.jpg
  1.078  M4419  F64   8485A          Default       8485A          100pct
  1.079  4419         1mW                          50MH              CP N  CH1

  1.080  HEAD         -2 Channel B: 8485A ("Buried") Power Sensor
  1.081  DISP         Disconnect 8485A (Reference) Power Sensor on CHANNEL A
  1.081  DISP         from the Power Meter POWER REF connector.
  1.082  PIC          e4419_100mw_uw_sensor_zero.jpg
  1.083  4419         1mW                          50MH              CP N  CH2

  1.084  RSLT         =
  1.085  HEAD         SELF TEST
  1.086  TARGET
  1.087  HEAD         -2 Performing SELF TEST (~3½ minutes duration)...
  1.088  SCPI         [T240000]SYST:DISP:UPD ON;*TST?[I$]
  1.089  HEAD         -2
  1.090  EVAL   -e ZCMP(MEM2, "0") : SELF TEST

  2.001  SCPI         SYST:PRES

  2.002  RSLT         =
  2.003  HEAD         INTERNAL CAL
  2.004  TARGET
  2.005  HEAD         -2 Performing CAL TOTAL (~6¾ minutes duration)...
  2.006  SCPI         [T420000]CAL:ALL?[I$]
  2.007  HEAD         -2
  2.008  EVAL   -e ZCMP(MEM2, "0") : INTERNAL CAL

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to minimize
# connection changes during execution. Test results, however, are reported in
# test number sequence, consistent with the source documentation.
#
# Tests made on any option are only executed if installed; in the listing
# below, if the next indicated test in the execution order is for an option
# that is not installed in the UUT, the run time order continues to 'drop
# down' until either an installed option or standard instrument characteristic
# is tested.
#
# Rohde & Schwarz FSQ26
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   FREQUENCY REFERENCE ACCURACY       FREQUENCY REFERENCE ACCURACY
#    2.   IF IMAGE REJECTION                 NOISE DISPLAY
#    3.   IF REJECTION                       NOISE DISPLAY (FSU-B25)
#    4.   THIRD ORDER INTERCEPT              2nd ORDER HARMONIC DISTORTION
#    5.   THIRD ORDER INTERCEPT (FSU-B25)    IF FILTER
#    6.   2nd ORDER HARMONIC DISTORTION      LEVEL ACCURACY
#    7.   IF FILTER                          LEVEL ACCURACY (FSU-B25)
#    8.   NOISE DISPLAY                      PHASE NOISE
#    9.   NOISE DISPLAY (FSU-B25)            FREQUENCY RESPONSE
#   10.   LEVEL ACCURACY                     FREQUENCY RESPONSE (FSU-B25)
#   11.   LEVEL ACCURACY (FSU-B25)           FREQUENCY RESPONSE > 3.6 GHz
#   12.   FREQUENCY RESPONSE                 FREQUENCY RESPONSE (FSQ-B23)
#   13.   FREQUENCY RESPONSE (FSU-B25)       IF IMAGE REJECTION
#   14.   FREQUENCY RESPONSE > 3.6 GHz       IF REJECTION
#   15.   FREQUENCY RESPONSE (FSU-B23)       THIRD ORDER INTERCEPT
#   16.   DISPLAY LINEARITY                  THIRD ORDER INTERCEPT (FSU-B25)
#   17.   RF ATTENUATOR ACCURACY (FSU-B25)   LO LEVEL (FSU-B21)
#   18.   ELEC. ATTENUATOR ACCY (FSU-B25)    LEVEL DISPLAY (FSU-B21)
#   19.   RF ATTENUATOR ACCURACY (STD)       BIAS SUPPLY (FSU-B21)
#   20.   REFERENCE LEVEL SWITCHING          DISPLAY LINEARITY
#   21.   PHASE NOISE                        RF ATTENUATOR ACCURACY (FSU-B25)
#   22.   RETURN LOSS                        ELEC. ATTENUATOR ACCY (FSU-B25)
#   23.   LO LEVEL (FSU-B21)                 RF ATTENUATOR ACCURACY (STD)
#   24.   LEVEL DISPLAY (FSU-B21)            REFERENCE LEVEL SWITCHING
#   25.   BIAS SUPPLY (FSU-B21)              RETURN LOSS

  3.001  CALL         Sub FSU (1 yr) Frequency Reference VER /LFCTR

  3.002  HEAD         SYSTEM CONNECTIONS
  3.003  DISP         Prior to proceeding...
  3.003  DISP
  3.003  DISP         Connect a BNC (m)-(m) cable between the UUT REF OUT
  3.003  DISP         (on rear) and the 9640A-LPNX REF FREQUENCY IN.
  3.004  JMPL         NOISE

  3.005  LABEL        IMAGE
  3.006  CALL         Sub FSQ (1 yr) IF Image Rejection VER /SWPG
  3.007  CALL         Sub FSU (1 yr) Third Order VER /SWPG,UWSG
  3.008  JMPL         EXT_MIXING_B21               @Opt_B21
  3.009  JMPL         DISP_LINEARITY

  3.010  LABEL        HARMONICS
  3.011  CALL         Sub FSU (1 yr) Harmonic Distortion VER /9640
  3.012  CALL         Sub FSU (1 yr) IF Filter VER /9640
  3.013  JMPL         LEVEL_ACCURACY

  3.014  LABEL        NOISE
  3.015  CALL         Sub FSQ (1 yr) Noise Display VER
  3.016  JMPL         HARMONICS

  3.017  LABEL        LEVEL_ACCURACY
  3.018  CALL         Sub FSU (1 yr) Level Accuracy VER /LPNX
  3.019  JMPL         PHASE_NOISE

  3.020  LABEL        FREQ_RESPONSE
  3.021  CALL         Sub FSQ (1 yr) Frequency Response (HF/RF) VER
  3.022  CALL         Sub FSQ (1 yr) µW Frequency Response VER /4419,SWPG
  3.023  JMPL         IMAGE

  3.024  LABEL        DISP_LINEARITY
  3.025  CALL         Sub FSU (1 yr) Display Linearity VER /LPNX

  3.026  IF           @Opt_B25
  3.027  CALL         Sub FSU-B25 (1 yr) RF Attenuator Accuracy VER /LPNX
  3.028  CALL         Sub FSU-B25 (1 yr) Electronic Attenuator VER /LPNX
  3.029  ELSE
  3.030  CALL         Sub FSU (1 yr) RF Attenuator Accuracy VER /LPNX
  3.031  ENDIF

  3.032  CALL         Sub FSU (1 yr) Reference Level Switching VER /LPNX
  3.033  JMPL         RETURN_LOSS

  3.034  LABEL        PHASE_NOISE
  3.035  CALL         Sub FSU (1 yr) Phase Noise VER /LPNX
  3.036  JMPL         FREQ_RESPONSE

  3.037  LABEL        RETURN_LOSS
  3.038  RSLT         =
  3.039  HEAD         {RETURN LOSS}
  3.040  RSLT         = Not Tested
  3.041  JMPL         END

  3.042  LABEL        EXT_MIXING_B21
  3.043  CALL         Sub FSU-B21 (1 yr) LO Level VER /4419
  3.044  CALL         Sub FSU-B21 (1 yr) Level Display VER /9640
  3.045  CALL         Sub FSU-B21 (1 yr) Bias Supply VER /DMM
  3.046  JMPL         DISP_LINEARITY

  3.047  LABEL        END
# If original language setting was not SCPI, return UUT to original setting.
  3.048  IF           NOT(ZCMPI(@Language, "'SCPI'"))
  3.049  SCPI         SYST:LANG [V @Language]
  3.050  ENDIF

  3.051  END
