﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSQ (1 yr) Noise Display Tests
DATE:                  2011-02-23
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       322
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSQ series
#
#  Compatibility:
#        MET/CAL 7.3.26 or later
#
#  Subprocedures:
#        Sub FSU Noise Display Test
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Specifications from Spectrum Analyzer R&S® FSQ Data Sheet, Version 14.00,
#   July 2009.
#
#  Applicable conditions:
#        0 dB RF attenuation
#        50 Ohm terminated input
#        Log scaling
#        Measured with 1 kHz RBW, Normalized to 1 Hz RBW
#        f <10 kHz  : 10 Hz FFT; Trace Averaging; Sweep Count 20
#        f >= 10 kHz: RBW 1 kHz; VBW 3 kHz; Zero span; Sweep time 50 ms;
#                     Detector Sample; Trace Averaging; Sweep Count 20;
#                     Marker Mean
#
#  Note that specifications for Displayed Average Noise Level in the specified
#  document are 10 dB lower than those previously stated. The difference,
#  however, lies in the fact that these specifications are now stated relative
#  to a 1 Hz bandwidth rather than the previous 10 Hz bandwidth, resulting in
#  a 10 dB improvement.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Store UUT frequency range in more 'compact' variable name.
  1.001  MATH         BW = @FreqRange

  1.002  IF           NOT(ISVAR("@B25_On"))
  1.003  MATH         @TestFreq = "20 Hz"
  1.004  MATH         M[1] = 50; @Nominal = -90
  1.005  CALL         Sub FSU Noise Display Test

  1.006  MATH         @TestFreq = "90 Hz"
  1.007  MATH         M[1] = 30; @Nominal = -110
  1.008  CALL         Sub FSU Noise Display Test

  1.009  MATH         @TestFreq = "900 Hz"
  1.010  MATH         M[1] = 20; @Nominal = -120
  1.011  CALL         Sub FSU Noise Display Test

  1.012  MATH         @TestFreq = "9 kHz"
  1.013  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.014  SCPI         INP:ATT 0 DB;:DISP:WIND:TRAC:Y:RLEV -10
  1.014  SCPI         FREQ:CENT 9E+3;SPAN 0;:BAND:RES 1E+3;:SWE:TIME 50E-3
  1.015  SCPI         DISP:WIND:TRAC:MODE AVER;:SWE:COUN 30;:DET:FUNC SAMP
  1.016  SCPI         CALC:MARK:STAT ON;FUNC:SUMM:MEAN ON
  1.017  MATH         M[1] = 30; @Nominal = -130
  1.018  CALL         Sub FSU Noise Display Test

  1.019  MATH         @TestFreq = "95 kHz"
  1.020  SCPI         DISP:WIND:TRAC:Y:RLEV -20
  1.021  MATH         M[1] = 24; @Nominal = -136
  1.022  CALL         Sub FSU Noise Display Test

  1.023  MATH         @TestFreq = "999 kHz"
  1.024  SCPI         DISP:WIND:TRAC:Y:RLEV -30
  1.025  MATH         M[1] = 14; @Nominal = -146
  1.026  CALL         Sub FSU Noise Display Test

  1.027  MATH         @TestFreq = "9.99 MHz"

  1.028  MATH         M[1] = 27; @Nominal = -153
  1.029  CALL         Sub FSU Noise Display Test
  1.030  ENDIF

  1.031  IF           ISVAR("@B23_On") || ISVAR("@B25_On")
  1.032  SCPI         DISP:WIND:TRAC:Y:RLEV -80
  1.033  ELSE
  1.034  SCPI         DISP:WIND:TRAC:Y:RLEV -60
  1.035  ENDIF

  1.036  IF           ISVAR("@B25_On")
  1.037  MATH         @TestFreq = "10.99 MHz"
  1.038  MATH         M[1] = 18; @Nominal = -162
  1.039  CALL         Sub FSU Noise Display Test
  1.040  ENDIF

  1.041  MATH         @TestFreq = "19.99 MHz"
  1.042  CALL         Sub FSU Noise Display Test

  1.043  MATH         @TestFreq = "49.99 MHz"

  1.044  IF           BW < 26
  1.045  MATH         M[1] = 25; @Nominal = -155
  1.046  ELSEIF       NOT(ISVAR("@B23_On"))
  1.047  MATH         M[1] = 28; @Nominal = -152
  1.048  ENDIF

  1.049  CALL         Sub FSU Noise Display Test

  1.050  MATH         @TestFreq = "99.99 MHz"
  1.051  CALL         Sub FSU Noise Display Test

  1.052  MATH         @TestFreq = "199.99 MHz"
  1.053  CALL         Sub FSU Noise Display Test

  1.054  MATH         @TestFreq = "499.99 MHz"
  1.055  CALL         Sub FSU Noise Display Test

  1.056  MATH         @TestFreq = "999.9 MHz"
  1.057  CALL         Sub FSU Noise Display Test

  1.058  MATH         @TestFreq = "1499 MHz"
  1.059  CALL         Sub FSU Noise Display Test

  1.060  MATH         @TestFreq = "1999 MHz"
  1.061  CALL         Sub FSU Noise Display Test

  1.062  MATH         @TestFreq = "2499 MHz"

  1.063  IF           (BW < 26) && NOT(ISVAR("@B25_On"))
  1.064  MATH         M[1] = 27; @Nominal = -153
  1.065  ELSEIF       ISVAR("@B25_On")
  1.066  MATH         M[1] = 20; @Nominal = -160
  1.067  ELSE
  1.068  MATH         M[1] = 30; @Nominal = -150
  1.069  ENDIF

  1.070  CALL         Sub FSU Noise Display Test

  1.071  MATH         @TestFreq = "2999 MHz"
  1.072  CALL         Sub FSU Noise Display Test

  1.073  MATH         @TestFreq = "3599 MHz"

  1.074  IF           (BW < 26) && NOT(ISVAR("@B25_On"))
  1.075  MATH         M[1] = 28; @Nominal = -152
  1.076  ENDIF

  1.077  CALL         Sub FSU Noise Display Test

  1.078  IF           (BW == 8) || (@Opt_B25 && ISVAR("@B23_On"))
  1.079  MATH         @TestFreq = "3601 MHz"

  1.080  IF           (BW == 8) && ISVAR("@B25_On")
  1.081  MATH         M[1] = 23; @Nominal = -157
  1.082  ELSEIF       @Opt_B25 && ISVAR("@B23_On")
  1.083  MATH         M[1] = 18; @Nominal = -162
  1.084  ENDIF

  1.085  CALL         Sub FSU Noise Display Test
  1.086  ENDIF

  1.087  IF           (BW == 8) && ISVAR("@B25_On")
  1.088  MATH         L[1] = 1
  1.089  ELSEIF       (BW == 26) && (NOT(ISVAR("@B25_On")))
  1.090  MATH         L[1] = 1
  1.091  ELSEIF       ISVAR("@B23_On")
  1.092  MATH         L[1] = 1
  1.093  ELSE
  1.094  MATH         L[1] = 0
  1.095  ENDIF

  1.096  IF           L[1]
  1.097  MATH         @TestFreq = "3999 MHz"

  1.098  IF           (BW == 26) && NOT(ISVAR("@B25_On"))
  1.099  MATH         M[1] = 30; @Nominal = -150
  1.100  ENDIF

  1.101  CALL         Sub FSU Noise Display Test

  1.102  IF           (BW == 8) || ISVAR("@B23_On")
  1.103  MATH         @TestFreq = "4499 MHz"
  1.104  CALL         Sub FSU Noise Display Test

  1.105  MATH         @TestFreq = "4999 MHz"
  1.106  CALL         Sub FSU Noise Display Test

  1.107  MATH         @TestFreq = "5499 MHz"
  1.108  CALL         Sub FSU Noise Display Test

  1.109  MATH         @TestFreq = "5999 MHz"
  1.110  CALL         Sub FSU Noise Display Test

  1.111  MATH         @TestFreq = "6499 MHz"
  1.112  CALL         Sub FSU Noise Display Test

  1.113  MATH         @TestFreq = "6999 MHz"
  1.114  CALL         Sub FSU Noise Display Test
  1.115  ENDIF

  1.116  MATH         @TestFreq = "7499 MHz"

  1.117  IF           (BW == 8) && NOT(ISVAR("@B25_On"))
  1.118  MATH         M[1] = 31; @Nominal = -149
  1.119  ENDIF

  1.120  CALL         Sub FSU Noise Display Test

  1.121  MATH         @TestFreq = "7999 MHz"
  1.122  CALL         Sub FSU Noise Display Test

  1.123  IF           (BW > 8) && (NOT(ISVAR("@B25_On")) || ISVAR("@B23_On"))

  1.124  IF           ISVAR("@B23_On")
  1.125  MATH         @TestFreq = "8999 MHz"
  1.126  MATH         M[1] = 21; @Nominal = -159
  1.127  CALL         Sub FSU Noise Display Test
  1.128  ENDIF

  1.129  MATH         @TestFreq = "9999 MHz"

  1.130  IF           NOT(ISVAR("@B23_On"))
  1.131  MATH         M[1] = 31; @Nominal = -149
  1.132  ENDIF

  1.133  CALL         Sub FSU Noise Display Test

  1.134  IF           ISVAR("@B23_On")
  1.135  MATH         @TestFreq = "10999 MHz"
  1.136  CALL         Sub FSU Noise Display Test

  1.137  MATH         @TestFreq = "11999 MHz"
  1.138  CALL         Sub FSU Noise Display Test
  1.139  ENDIF

  1.140  MATH         @TestFreq = "12999 MHz"
  1.141  CALL         Sub FSU Noise Display Test

  1.142  IF           ISVAR("@B23_On")
  1.143  MATH         @TestFreq = "13999 MHz"
  1.144  MATH         M[1] = 23; @Nominal = -157
  1.145  CALL         Sub FSU Noise Display Test

  1.146  MATH         @TestFreq = "14999 MHz"
  1.147  CALL         Sub FSU Noise Display Test

  1.148  MATH         @TestFreq = "15999 MHz"
  1.149  CALL         Sub FSU Noise Display Test

  1.150  MATH         @TestFreq = "16999 MHz"
  1.151  CALL         Sub FSU Noise Display Test
  1.152  ENDIF

  1.153  MATH         @TestFreq = "17999 MHz"

  1.154  IF           NOT(ISVAR("@B23_On"))
  1.155  MATH         M[1] = 33; @Nominal = -147
  1.156  ENDIF

  1.157  CALL         Sub FSU Noise Display Test

  1.158  IF           ISVAR("@B23_On")
  1.159  MATH         @TestFreq = "18999 MHz"
  1.160  MATH         M[1] = 26; @Nominal = -154
  1.161  CALL         Sub FSU Noise Display Test

  1.162  MATH         @TestFreq = "19999 MHz"
  1.163  CALL         Sub FSU Noise Display Test

  1.164  MATH         @TestFreq = "20999 MHz"
  1.165  CALL         Sub FSU Noise Display Test
  1.166  ENDIF

  1.167  MATH         @TestFreq = "21999 MHz"

  1.168  IF           NOT(ISVAR("@B23_On"))
  1.169  MATH         M[1] = 35; @Nominal = -145
  1.170  ENDIF

  1.171  CALL         Sub FSU Noise Display Test

  1.172  IF           ISVAR("@B23_On")
  1.173  MATH         @TestFreq = "22999 MHz"
  1.174  MATH         M[1] = 30; @Nominal = -150
  1.175  CALL         Sub FSU Noise Display Test

  1.176  MATH         @TestFreq = "23999 MHz"
  1.177  CALL         Sub FSU Noise Display Test

  1.178  MATH         @TestFreq = "24999 MHz"
  1.179  CALL         Sub FSU Noise Display Test

  1.180  MATH         @TestFreq = "25999 MHz"
  1.181  CALL         Sub FSU Noise Display Test
  1.182  ENDIF

  1.183  MATH         @TestFreq = "26499 MHz"

  1.184  IF           NOT(ISVAR("@B23_On"))
  1.185  MATH         M[1] = 37; @Nominal = -143
  1.186  ENDIF

  1.187  CALL         Sub FSU Noise Display Test
  1.188  ENDIF        ; (BW > 8)&&(NOT(ISVAR("@B25_On")) || ISVAR("@B23_On"))

  1.189  ENDIF        ; L[1]

  1.190  END
