﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSQ Set Configuration Variables
DATE:                  2011-02-07
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       253
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSQ series
#
#  Compatibility:
#        MET/CAL 7.3.26 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
#  This procedure defines variables to describe the UUT family fitted options,
#  and combinations thereof, for use at runtime to select the desired tests or
#  specifications for the exact configuration of the UUT being verified. It
#  also lists the fitted options to the results.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# For brevity, set flags to identify model numbers.
  1.001  MATH         @FSQ3  = FIND(@ModelNum, "FSQ-3", 1)
  1.002  MATH         @FSQ8  = FIND(@ModelNum, "FSQ-8", 1)
  1.003  MATH         @FSQ26 = FIND(@ModelNum, "FSQ-26", 1)
  1.004  MATH         @FSQ31 = FIND(@ModelNum, "FSQ-31", 1)
  1.005  MATH         @FSQ40 = FIND(@ModelNum, "FSQ-40", 1)

  1.006  SCPI         SYST:LANG?[I$]
  1.007  MATH         @Language = MEM2

# If original language setting is not SCPI, set UUT to SCPI.
  1.008  IF           NOT(ZCMPI(@Language, "'SCPI'"))
  1.009  SCPI         SYST:LANG 'SCPI'
  1.010  ENDIF

# Due to the fact that some specifications, e.g., Phase Noise, differ based
# on the UUT serial number, this statement parses the serial number from the
# model frequency suffix, e.g., 200585/026, to facilitate test decisions
# within applicable procedures.
  1.011  MATH         @SN = FLD(@SerialNum, 1, "/")

  1.012  RSLT         =
  1.013  HEAD         {INSTALLED OPTIONS}
  1.014  RSLT         =
  1.015  SCPI         *OPT?[I$]
  1.016  MATH         Options = MEM2

# Initialize variable (no options installed).
  1.017  MATH         Option = 0
# Extract installed option codes from ID string.
  1.018  MATH         @Opt_B4   = ZCMPI("B4",   FLD(Options,  2, ","))
  1.019  MATH         @Opt_B9   = ZCMPI("B9",   FLD(Options,  7, ","))
  1.020  MATH         @Opt_B10  = ZCMPI("B10",  FLD(Options,  8, ","))
  1.021  MATH         @Opt_B12  = ZCMPI("B12",  FLD(Options, 10, ","))
  1.022  MATH         @Opt_B17  = ZCMPI("B17",  FLD(Options, 11, ","))
  1.023  MATH         @Opt_B16  = ZCMPI("B16",  FLD(Options, 14, ","))
  1.024  MATH         @Opt_B100 = ZCMPI("B100", FLD(Options, 15, ","))
  1.025  MATH         @Opt_B21  = ZCMPI("B21",  FLD(Options, 19, ","))
  1.026  MATH         @Opt_B23  = ZCMPI("B23",  FLD(Options, 21, ","))
  1.027  MATH         @Opt_B24  = ZCMPI("B24",  FLD(Options, 22, ","))
  1.028  MATH         @Opt_B25  = ZCMPI("B25",  FLD(Options, 23, ","))
  1.029  MATH         @Opt_K74  = ZCMPI("K74",  FLD(Options, 24, ","))
  1.030  MATH         @Opt_B72  = ZCMPI("B72",  FLD(Options, 25, ","))
  1.031  MATH         @Opt_K76  = ZCMPI("K76",  FLD(Options, 26, ","))
  1.032  MATH         @Opt_K30  = ZCMPI("K30",  FLD(Options, 28, ","))
  1.033  MATH         @Opt_K40  = ZCMPI("K40",  FLD(Options, 29, ","))
  1.034  MATH         @Opt_K5   = ZCMPI("K5",   FLD(Options, 30, ","))
  1.035  MATH         @Opt_K77  = ZCMPI("K77",  FLD(Options, 31, ","))
  1.036  MATH         @Opt_K7   = ZCMPI("K7",   FLD(Options, 32, ","))
  1.037  MATH         @Opt_K8   = ZCMPI("K8",   FLD(Options, 33, ","))
  1.038  MATH         @Opt_K9   = ZCMPI("K9",   FLD(Options, 34, ","))
  1.039  MATH         @Opt_K72  = ZCMPI("K72",  FLD(Options, 35, ","))
  1.040  MATH         @Opt_K73  = ZCMPI("K73",  FLD(Options, 36, ","))
  1.041  MATH         @Opt_K82  = ZCMPI("K82",  FLD(Options, 38, ","))
  1.042  MATH         @Opt_K83  = ZCMPI("K83",  FLD(Options, 39, ","))
  1.043  MATH         @Opt_K84  = ZCMPI("K84",  FLD(Options, 40, ","))
  1.044  MATH         @Opt_K85  = ZCMPI("K85",  FLD(Options, 41, ","))
  1.045  MATH         @Opt_K86  = ZCMPI("K86",  FLD(Options, 42, ","))
  1.046  MATH         @Opt_K90  = ZCMPI("K90",  FLD(Options, 43, ","))
  1.047  MATH         @Opt_K91  = ZCMPI("K91",  FLD(Options, 44, ","))
  1.048  MATH         @Opt_K92  = ZCMPI("K92",  FLD(Options, 45, ","))
  1.049  MATH         @Opt_B71  = ZCMPI("B71",  FLD(Options, 47, ","))
  1.050  MATH         @Opt_B72  = ZCMPI("B72",  FLD(Options, 48, ","))
  1.051  MATH         @Opt_K70  = ZCMPI("K70",  FLD(Options, 49, ","))
  1.052  MATH         @Opt_B88  = FIND(Options, "B88",  1)

  1.053  IF           @Opt_B4
  1.054  RSLT         = FSU-B4   (OCXO, 10 MHz)
  1.055  MATH         Option = 1
  1.056  ENDIF

  1.057  IF           @Opt_B9
  1.058  RSLT         = FSU-B9   (Tracking Generator, 100 kHz to 3 GHz)
  1.059  MATH         Option = 1
  1.060  ENDIF

  1.061  IF           @Opt_B10
  1.062  RSLT         = FSP-B10  (External Generator Control)
  1.063  MATH         Option = 1
  1.064  ENDIF

  1.065  IF           @Opt_B12
  1.066  RSLT         = FSU-B12  (Tracking Generator Output Attenuator)
  1.067  MATH         Option = 1
  1.068  ENDIF

  1.069  IF           @Opt_B16
  1.070  RSLT         = FSP-B16  (LAN Interface)
  1.071  MATH         Option = 1
  1.072  ENDIF

  1.073  IF           @Opt_B17
  1.074  RSLT         = FSQ-B17  (I/Q-Online Input/Output LVDS)
  1.075  MATH         Option = 1
  1.076  ENDIF

  1.077  IF           @Opt_B21
  1.078  RSLT         = FSU-B21  (External Mixer Support)
  1.079  MATH         Option = 1
  1.080  ENDIF

  1.081  IF           @Opt_B23
  1.082  RSLT         = FSQ-B23  (20 dB RF Preamplifier, 3.6 to 26.5 GHz)
  1.083  MATH         Option = 1
  1.084  ENDIF

  1.085  IF           @Opt_B24
  1.086  RSLT         = FSU-B24  (20 dB RF Preamplifier, 20 Hz to 40 GHz)
  1.087  MATH         Option = 1
  1.088  ENDIF

  1.089  IF           @Opt_B25
  1.090  RSLT         = FSU-B25  (Electronic Attenuator)
  1.091  MATH         Option = 1
  1.092  ENDIF

  1.093  IF           @Opt_B88
  1.094  RSLT         = FSU-B88  (RF Converter)
  1.095  MATH         Option = 1
  1.096  ENDIF

  1.097  IF           @Opt_B100
  1.098  RSLT         = FSQ-B100 (IQ Memory Extension)
  1.099  MATH         Option = 1
  1.100  ENDIF

  1.101  IF           @Opt_K5
  1.102  RSLT         = FS-K5    (GSM-GSM/EDGE Application)
  1.103  MATH         Option = 1
  1.104  ENDIF

  1.105  IF           @Opt_K7
  1.106  RSLT         = FS-K7    (FM Measurement Demodulator)
  1.107  MATH         Option = 1
  1.108  ENDIF

  1.109  IF           @Opt_K8
  1.110  RSLT         = FS-K8    (Bluetooth® Transmitter Measurement)
  1.111  MATH         Option = 1
  1.112  ENDIF

  1.113  IF           @Opt_K9
  1.114  RSLT         = FS-K9    (Power Sensor Measurements)
  1.115  MATH         Option = 1
  1.116  ENDIF

  1.117  IF           @Opt_K30
  1.118  RSLT         = FS-K30   (Noise Figure and Gain Measurements)
  1.119  MATH         Option = 1
  1.120  ENDIF

  1.121  IF           @Opt_K40
  1.122  RSLT         = FS-K40   (Phase Noise Measurement)
  1.123  MATH         Option = 1
  1.124  ENDIF

  1.125  IF           @Opt_K70
  1.126  RSLT         = FSQ-K70  (Vector Signal Analysis)
  1.127  MATH         Option = 1
  1.128  ENDIF

  1.129  IF           @Opt_K72
  1.130  RSLT         = FS-K72   (3GPP BTS/Node B FDD Application)
  1.131  MATH         Option = 1
  1.132  ENDIF

  1.133  IF           @Opt_K73
  1.134  RSLT         = FS-K73   (3GPP UE FDD Application)
  1.135  MATH         Option = 1
  1.136  ENDIF

  1.137  IF           @Opt_K74
  1.138  RSLT         = FS-K74   (3GPP HSDPA BTS Application)
  1.139  MATH         Option = 1
  1.140  ENDIF

  1.141  IF           @Opt_K76
  1.142  RSLT         = FS-K76   (3GPP TD-SCDMA BTS Application)
  1.143  MATH         Option = 1
  1.144  ENDIF

  1.145  IF           @Opt_K77
  1.146  RSLT         = FS-K77   (3GPP TD-SCDMA UE Application)
  1.147  MATH         Option = 1
  1.148  ENDIF

  1.149  IF           @Opt_K82
  1.150  RSLT         = FS-K82   (CDMA2000®/1xEV-DV BTS Application)
  1.151  MATH         Option = 1
  1.152  ENDIF

  1.153  IF           @Opt_K83
  1.154  RSLT         = FS-K83   (CDMA2000®/1xEV-DV MS Application)
  1.155  MATH         Option = 1
  1.156  ENDIF

  1.157  IF           @Opt_K84
  1.158  RSLT         = FS-K84   (CDMA2000®/1xEV-DO BTS Application)
  1.159  MATH         Option = 1
  1.160  ENDIF

  1.161  IF           @Opt_K85
  1.162  RSLT         = FS-K85   (CDMA2000®/1xEV-DO MS Application)
  1.163  MATH         Option = 1
  1.164  ENDIF

  1.165  IF           NOT(Option)
  1.166  RSLT         = No Options Installed
  1.167  ENDIF

  1.168  END
