﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSQ µW Frequency Response Tests
DATE:                  2011-02-23
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       171
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSQ series > 3.6 GHz, <= 26.5 GHz
#
#  Compatibility:
#        MET/CAL 7.3.26 or later
#
#  Subprocedures:
#        Sub FSQ µW Frequency Response Test /4419,SWPG
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Example:
# 1.001  MATH         @TestFreq = 3.61E+9
# 1.002  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           @FreqRange < 26
  1.002  MATH         @UUT_SWR = 2
  1.003  ELSE
  1.004  MATH         @UUT_SWR = 1.8
  1.005  ENDIF

  1.006  IF           @PreampOn
  1.007  MATH         @TestFreq = 3.601E+9
  1.008  TOL          2.000U
  1.009  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.010  ELSE

  1.011  MATH         @TestFreq = 3.61E+9

  1.012  IF           (@FreqRange < 26) && ISVAR("@B25_On")
  1.013  TOL          2.000U
  1.014  ELSEIF       @YIG_Filter
  1.015  TOL          1.500U
  1.016  ELSE
  1.017  TOL          1.000U
  1.018  ENDIF

  1.019  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG
  1.020  ENDIF

  1.021  MATH         @TestFreq = 4E+9
  1.022  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.023  MATH         @TestFreq = 4.5E+9
  1.024  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.025  MATH         @TestFreq = 5E+9
  1.026  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.027  MATH         @TestFreq = 5.5E+9
  1.028  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.029  MATH         @TestFreq = 6E+9
  1.030  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.031  MATH         @TestFreq = 6.5E+9
  1.032  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.033  MATH         @TestFreq = 7E+9
  1.034  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.035  MATH         @TestFreq = 7.99E+9
  1.036  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.037  IF           @FreqRange > 8

  1.038  IF           @PreampOn
  1.039  TOL          2.500U
  1.040  ENDIF

  1.041  MATH         @TestFreq = 9E+9

  1.042  IF           @YIG_Filter
  1.043  TOL          2.000U
  1.044  ELSE
  1.045  TOL          1.500U
  1.046  ENDIF

  1.047  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.048  MATH         @TestFreq = 10E+9
  1.049  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.050  MATH         @TestFreq = 11E+9
  1.051  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.052  MATH         @TestFreq = 12E+9
  1.053  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.054  MATH         @TestFreq = 13E+9
  1.055  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.056  MATH         @TestFreq = 14E+9
  1.057  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.058  MATH         @TestFreq = 15E+9
  1.059  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.060  MATH         @TestFreq = 16E+9
  1.061  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.062  MATH         @TestFreq = 17E+9
  1.063  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.064  MATH         @TestFreq = 18E+9; @UUT_SWR = 2.0
  1.065  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.066  MATH         @TestFreq = 19E+9
  1.067  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.068  MATH         @TestFreq = 20E+9
  1.069  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.070  MATH         @TestFreq = 21E+9
  1.071  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.072  MATH         @TestFreq = 22E+9

  1.073  IF           @YIG_Filter
  1.074  TOL          2.500U
  1.075  ENDIF

  1.076  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.077  IF           @PreampOn
  1.078  TOL          3.000U
  1.079  ELSEIF       NOT(@YIG_Filter)
  1.080  TOL          2.000U
  1.081  ENDIF

  1.082  MATH         @TestFreq = 23E+9
  1.083  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.084  MATH         @TestFreq = 24E+9
  1.085  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.086  MATH         @TestFreq = 25E+9
  1.087  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG

  1.088  MATH         @TestFreq = 26E+9
  1.089  CALL         Sub FSQ µW Frequency Response Test /4419,SWPG
  1.090  ENDIF        ; @FSQ26

  1.091  END
