﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU-B21 (1 yr) Bias Supply VER /DMM
DATE:                  2011-01-14
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       111
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        FSU26, (FSU31, FSU32,) FSU43, FSU46, FSU50
#
#  Compatibility:
#        MET/CAL 7.3.26 or later
#
#  Subprocedures:
#        Sub Initialize /DMM
#        Sub Reset /DMM
#        Sub Setup /DMM
#        Sub Read /DMM
#        Sub Get Accuracy /DMM
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@DMM]
  1.003  ENDIF

  1.004  RSLT         =
  1.005  HEAD         {BIAS SUPPLY (Option FSU-B21)}
  1.006  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.007  TARGET       -p

  1.008  CALL         Sub Initialize /DMM
  1.009  CALL         Sub Reset /DMM

  1.010  DISP         Make the following connections:
  1.010  DISP
  1.010  DISP         [32]          UUT             to    [V @DMM_DevName]
  1.010  DISP         [32] EXT MIXER LO OUT/IF IN ------> [V @DMM_CurrentHi]
  1.010  DISP         [32]                                [V @DMM_CurrentLo]
  1.010  DISP
  1.010  DISP         Use a Type N(f) to SMA(m) adapter to facilitate
  1.010  DISP         this connection.

  1.011  HEAD         -2 Bias Setting: -10 mA
  1.012  TSET         TDESC = -10 mA
  1.013  MATH         @DMM_Func = "DC_Current"
  1.014  CALL         Sub Setup /DMM
  1.015  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.016  SCPI         MIX ON;:MIX:HARM:BAND USER;:SYST:PASS "894129"
  1.017  SCPI         DIAG:SERV:SFUN '2.18.1.2';:MIX:BIAS -10E-3
  1.018  TARGET       -m
  1.019  CALL         Sub Read /DMM
  1.020  MATH         @DMM_Meas = MEM
  1.021  CALL         Sub Get Accuracy /DMM
  1.022  MATH         L[1] = @DMM_Acc; MEM = MEM / 1E-3
  1.023  ACC          mA             L1U
  1.024  MEMCX  10    -10.0mA        10% 1.0U

  2.001  HEAD         -2 Bias Setting: 0 mA
  2.002  TSET         TDESC = 0 mA
  2.003  SCPI         MIX:BIAS 0
  2.004  TARGET       -m
  2.005  CALL         Sub Read /DMM
  2.006  MATH         @DMM_Meas = MEM
  2.007  CALL         Sub Get Accuracy /DMM
  2.008  MATH         L[1] = @DMM_Acc; MEM = MEM / 1E-3
  2.009  ACC          mA             L1U
  2.010  MEMCX  10    0.0mA          10% 1.0U

  3.001  HEAD         -2 Bias Setting: +10 mA
  3.002  TSET         TDESC = +10 mA
  3.003  SCPI         MIX:BIAS 10E-3
  3.004  TARGET       -m
  3.005  CALL         Sub Read /DMM
  3.006  MATH         @DMM_Meas = MEM
  3.007  CALL         Sub Get Accuracy /DMM
  3.008  MATH         L[1] = @DMM_Acc; MEM = MEM / 1E-3
  3.009  ACC          mA             L1U
  3.010  MEMCX  10    10.0mA         10% 1.0U

  4.001  HEAD         -2
# Enter bogus password to exit from previously enabled service function mode.
  4.002  SCPI         SYST:PASS "123456"
  4.003  SCPI         SYST:PRES
  4.004  CALL         Sub Reset /DMM

  4.005  DISP         Disconnect the Digital Multimeter and adapter
  4.005  DISP         from the UUT EXT MIXER LO OUT/IF IN connector
  4.005  DISP         and replace the protective cap.

  4.006  END
