﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU (1 yr) Level Accuracy VER /LPNX
INSTRUMENT:            Sub FSU (1 yr) Display Linearity VER /LPNX
INSTRUMENT:            Sub FSU (1 yr) RF Attenuator Accuracy VER /LPNX
INSTRUMENT:            Sub FSU (1 yr) Reference Level Switching VER /LPNX
INSTRUMENT:            Sub FSU (1 yr) Phase Noise VER /LPNX
DATE:                  2011-02-18
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       92
NUMBER OF LINES:       1391
CONFIGURATION:         Fluke 9640A-LPNX
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSU series
#
#  Compatibility:
#        MET/CAL 7.3.26 or later
#
#  Subprocedures:
#        Sub FSU Take Sweep (MKPK)
#        Sub FSU Set Ref Level (dBm) /9640
#        Sub FSU Take Sweep Only
#
#  Required Files:
#        fsu_10db_to_lpnx.jpg
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         LEVEL_ACCURACY               PSUBI("Level Accuracy")
  1.002  MATH         @Error = 0
  1.003  MATH         DevName = "Fluke 9640A-LPNX"
  1.004  MATH         AccMode = "Atten dB 50 Abs"
  1.005  JMPL         DISPLAY_LINEARITY            PSUBI("Display")
  1.006  JMPL         RF_ATTEN_ACCURACY            PSUBI("RF Attenuator")
  1.007  JMPL         REF_LEVEL_SWITCHING          PSUBI("Level Switching")
  1.008  JMPL         PHASE_NOISE                  PSUBI("Phase")
  1.009  DISP         Called {Subprocedure Not Found}!
  1.010  END

  1.011  EVAL   Increment Test Number

# ====== Sub FSU (1 yr) Level Accuracy VER /LPNX ===========================

# It is assumed a direct connection was previously made between the 9640A-LPNX
# and the UUT.

  2.001  LABEL        LEVEL_ACCURACY
  2.002  RSLT         =
  2.003  HEAD         {LEVEL ACCURACY}
  2.004  TARGET       -p

  2.005  IF           @Opt_B25
  2.006  TSET         TDESC = 128 MHz (Standard)
  2.007  ELSE
  2.008  TSET         TDESC = 128 MHz
  2.009  ENDIF

  2.010  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  2.011  SCPI         FREQ:CENT 128E+6;SPAN 30E+3;:BAND:RES 10E+3
  2.012  SCPI         DISP:WIND:TRAC:Y 100 DB;Y:RLEV -10;SPAC LOG
  2.013  SCPI         INP:ATT 10 DB;:DET:FUNC RMS
  2.014  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  2.014  LPNX         +Level = -10 dBm; Freq = 128 MHz
  2.015  TARGET       -m
  2.016  CALL         Sub FSU Take Sweep (MKPK)
  2.017  SCPI         CALC:MARK:Y?[I]
  2.018  MEMCX        -10.000dBm     0.200U

  3.001  IF           @Opt_B25
  3.002  HEAD         LEVEL ACCURACY (Option FSU-B25)
  3.003  TARGET       -p
  3.004  TSET         TDESC = 128 MHz (Option FSU-B25)
  3.005  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  3.006  SCPI         FREQ:CENT 128E+6;SPAN 30E+3;:BAND:RES 10E+3
  3.007  SCPI         DISP:WIND:TRAC:Y 100 DB;Y:RLEV -10;SPAC LOG
  3.008  SCPI         INP:ATT 10 DB;:INP:EATT 0 DB;EATT:STAT ON;:DET:FUNC RMS
  3.009  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  3.009  LPNX         +Level = -10 dBm; Freq = 128 MHz
  3.010  TARGET       -m
  3.011  CALL         Sub FSU Take Sweep (MKPK)
  3.012  SCPI         CALC:MARK:Y?[I]
  3.013  MEMCX        -10.000dBm     0.300U

  4.001  IF           (FLD(@SerialNum, 2, "/") > 8) && (@Opt_B23)
  4.002  HEAD         LEVEL ACCURACY (Option FSU-B25/FSU-B23)
  4.003  TARGET       -p
  4.004  TSET         TDESC = 128 MHz (Option FSU-B23)
  4.005  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  4.006  SCPI         FREQ:CENT 128E+6;SPAN 30E+3;:BAND:RES 10E+3
  4.007  SCPI         DISP:WIND:TRAC:Y 100 DB;Y:RLEV -10;SPAC LOG
  4.008  SCPI         INP:ATT 10 DB;GAIN:STAT ON;:DET:FUNC RMS
  4.009  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  4.009  LPNX         +Level = -10 dBm; Freq = 128 MHz
  4.010  TARGET       -m
  4.011  CALL         Sub FSU Take Sweep (MKPK)
  4.012  SCPI         CALC:MARK:Y?[I]
  4.013  MEMCX        -10.000dBm     0.300U
  5.001  ENDIF

  5.002  ENDIF

  5.003  HEAD         -2
  5.004  LPNX         Reset
  5.005  SCPI         SYST:PRES
  5.006  HEAD
  5.007  END

  5.008  EVAL   Increment Test Number

# ====== Sub FSU (1 yr) Display Linearity VER /LPNX ========================

# It is assumed a 10 dB attenuator is connected in series between the
# 9640A-LPNX and the UUT.

  6.001  LABEL        DISPLAY_LINEARITY
  6.002  RSLT         =
  6.003  HEAD         {DISPLAY LINEARITY (-10 dBm Reference)}
  6.004  RSLT         =
  6.005  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  6.006  TARGET       -p
  6.007  HEAD         -2 {RBW 500 Hz}: 10 dB Reference Set
  6.008  PIC          fsu_10db_to_lpnx.jpg

  6.009  DISP         The next routine operator intervention
  6.009  DISP         occurs in approximately 7 minutes...

  6.010  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  6.011  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV 0;SPAC LOG
  6.011  SCPI         DISP:WIND:TRAC:Y 100 DB;MODE AVER
  6.012  SCPI         FREQ:CENT 50E+6;SPAN 0;:DET:FUNC RMS
  6.013  SCPI         BAND:RES 500;VID 50;:SWE:COUN 20
  6.014  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  6.014  LPNX         +Level = 0 dBm; Freq = 50 MHz
  6.015  MATH         @Gap = 0.02; @ExtRefOn = 1; @ExtRefFreq = 10E+6
  6.016  CALL         Sub FSU Take Sweep (MKPK)
  6.017  SCPI         CALC:MARK:Y?[I]
  6.018  MATH         @TestName = "Display Linearity"
  6.019  MATH         @FSU_RefLvl = -10; @9640Lvl = 0
  6.020  MATH         @9640Freq = 50E+6; @9640RefIn = 10E+6

  6.021  WHILE        ((MEM <= -10.02) || (MEM >= -9.98)) && NOT(@Error)
  6.022  CALL         Sub FSU Set Ref Level (dBm) /9640
  6.023  ENDW

  6.024  IF           @Error
  6.025  EVAL   -e 0 : An error occurred during the [V @TestName].
  7.001  MATH         @Error = 0
  7.002  END
  7.003  ENDIF

  7.004  MATH         RefUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
  7.005  MATH         @MkrMode = "Normal"
  7.006  CALL         Sub FSU Take Sweep (MKPK)
  7.007  SCPI         CALC:DELT:FUNC:FIX:STAT ON

  7.008  HEAD         -2 RBW 500 Hz: 10 dB
  7.009  TSET         TDESC = +10 dB
  7.010  MATH         TestLvl = @9640Lvl + 10
  7.011  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  7.011  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
  7.012  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
  7.013  MATH         L[1] = RSS2(RefUnc, TestUnc)
  7.014  MATH         @MkrMode = "Delta"
  7.015  ACC          10.000dB       L1U                                   +DW
  7.016  TARGET       -m
  7.017  CALL         Sub FSU Take Sweep (MKPK)
  7.018  SCPI         CALC:DELT:Y?[I]
  7.019  MEMCX        10.000dB       0.100U

  8.001  HEAD         -2 RBW 500 Hz: 15 dB
  8.002  TSET         TDESC = +[32]5 dB
  8.003  MATH         TestLvl = @9640Lvl + 5
  8.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  8.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
  8.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
  8.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
  8.007  ACC          5.000dB        L1U                                   +DW
  8.008  TARGET       -m
  8.009  CALL         Sub FSU Take Sweep (MKPK)
  8.010  SCPI         CALC:DELT:Y?[I]
  8.011  MEMCX        5.000dB        0.100U

  9.001  HEAD         -2 RBW 500 Hz: -5 dB
  9.002  TSET         TDESC = -[32]5 dB
  9.003  MATH         TestLvl = @9640Lvl - 5
  9.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  9.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
  9.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
  9.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
  9.007  ACC          -5.000dB       L1U                                   +DW
  9.008  TARGET       -m
  9.009  CALL         Sub FSU Take Sweep (MKPK)
  9.010  SCPI         CALC:DELT:Y?[I]
  9.011  MEMCX        -5.000dB       0.100U

 10.001  HEAD         -2 RBW 500 Hz: -10 dB
 10.002  TSET         TDESC = -10 dB
 10.003  MATH         TestLvl = @9640Lvl - 10
 10.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 10.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 10.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 10.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 10.007  ACC          -10.000dB      L1U                                   +DW
 10.008  TARGET       -m
 10.009  CALL         Sub FSU Take Sweep (MKPK)
 10.010  SCPI         CALC:DELT:Y?[I]
 10.011  MEMCX        -10.000dB      0.100U

 11.001  HEAD         -2 RBW 500 Hz: -15 dB
 11.002  TSET         TDESC = -15 dB
 11.003  MATH         TestLvl = @9640Lvl - 15
 11.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 11.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 11.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 11.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 11.007  ACC          -15.000dB      L1U                                   +DW
 11.008  TARGET       -m
 11.009  CALL         Sub FSU Take Sweep (MKPK)
 11.010  SCPI         CALC:DELT:Y?[I]
 11.011  MEMCX        -15.000dB      0.100U

 12.001  HEAD         -2 RBW 500 Hz: -20 dB
 12.002  TSET         TDESC = -20 dB
 12.003  MATH         TestLvl = @9640Lvl - 20
 12.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 12.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 12.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 12.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 12.007  ACC          -20.000dB      L1U                                   +DW
 12.008  TARGET       -m
 12.009  CALL         Sub FSU Take Sweep (MKPK)
 12.010  SCPI         CALC:DELT:Y?[I]
 12.011  MEMCX        -20.000dB      0.100U

 13.001  HEAD         -2 RBW 500 Hz: -25 dB
 13.002  TSET         TDESC = -25 dB
 13.003  MATH         TestLvl = @9640Lvl - 25
 13.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 13.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 13.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 13.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 13.007  ACC          -25.000dB      L1U                                   +DW
 13.008  TARGET       -m
 13.009  CALL         Sub FSU Take Sweep (MKPK)
 13.010  SCPI         CALC:DELT:Y?[I]
 13.011  MEMCX        -25.000dB      0.100U

 14.001  HEAD         -2 RBW 500 Hz: -30 dB
 14.002  TSET         TDESC = -30 dB
 14.003  MATH         TestLvl = @9640Lvl - 30
 14.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 14.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 14.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 14.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 14.007  ACC          -30.000dB      L1U                                   +DW
 14.008  TARGET       -m
 14.009  CALL         Sub FSU Take Sweep (MKPK)
 14.010  SCPI         CALC:DELT:Y?[I]
 14.011  MEMCX        -30.000dB      0.100U

 15.001  HEAD         -2 RBW 500 Hz: -35 dB
 15.002  TSET         TDESC = -35 dB
 15.003  MATH         TestLvl = @9640Lvl - 35
 15.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 15.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 15.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 15.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 15.007  ACC          -35.000dB      L1U                                   +DW
 15.008  TARGET       -m
 15.009  CALL         Sub FSU Take Sweep (MKPK)
 15.010  SCPI         CALC:DELT:Y?[I]
 15.011  MEMCX        -35.000dB      0.100U

 16.001  HEAD         -2 RBW 500 Hz: -40 dB
 16.002  TSET         TDESC = -40 dB
 16.003  MATH         TestLvl = @9640Lvl - 40
 16.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 16.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 16.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 16.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 16.007  ACC          -40.000dB      L1U                                   +DW
 16.008  TARGET       -m
 16.009  CALL         Sub FSU Take Sweep (MKPK)
 16.010  SCPI         CALC:DELT:Y?[I]
 16.011  MEMCX        -40.000dB      0.100U

 17.001  HEAD         -2 RBW 500 Hz: -45 dB
 17.002  TSET         TDESC = -45 dB
 17.003  MATH         TestLvl = @9640Lvl - 45
 17.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 17.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 17.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 17.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 17.007  ACC          -45.000dB      L1U                                   +DW
 17.008  TARGET       -m
 17.009  CALL         Sub FSU Take Sweep (MKPK)
 17.010  SCPI         CALC:DELT:Y?[I]
 17.011  MEMCX        -45.000dB      0.100U

 18.001  HEAD         -2 RBW 500 Hz: -50 dB
 18.002  TSET         TDESC = -50 dB
 18.003  MATH         TestLvl = @9640Lvl - 50
 18.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 18.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 18.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 18.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 18.007  ACC          -50.000dB      L1U                                   +DW
 18.008  TARGET       -m
 18.009  CALL         Sub FSU Take Sweep (MKPK)
 18.010  SCPI         CALC:DELT:Y?[I]
 18.011  MEMCX        -50.000dB      0.100U

 19.001  HEAD         -2 RBW 500 Hz: -55 dB
 19.002  TSET         TDESC = -55 dB
 19.003  MATH         TestLvl = @9640Lvl - 55
 19.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 19.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 19.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 19.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 19.007  ACC          -55.000dB      L1U                                   +DW
 19.008  TARGET       -m
 19.009  CALL         Sub FSU Take Sweep (MKPK)
 19.010  SCPI         CALC:DELT:Y?[I]
 19.011  MEMCX        -55.000dB      0.100U

 20.001  HEAD         -2 RBW 500 Hz: -60 dB
 20.002  TSET         TDESC = -60 dB
 20.003  MATH         TestLvl = @9640Lvl - 60
 20.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 20.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 20.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 20.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 20.007  ACC          -60.000dB      L1U                                   +DW
 20.008  TARGET       -m
 20.009  CALL         Sub FSU Take Sweep (MKPK)
 20.010  SCPI         CALC:DELT:Y?[I]
 20.011  MEMCX        -60.000dB      0.100U

 21.001  HEAD         -2 RBW 500 Hz: -65 dB
 21.002  TSET         TDESC = -65 dB
 21.003  MATH         TestLvl = @9640Lvl - 65
 21.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 21.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 21.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 21.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 21.007  ACC          -65.000dB      L1U                                   +DW
 21.008  TARGET       -m
 21.009  CALL         Sub FSU Take Sweep (MKPK)
 21.010  SCPI         CALC:DELT:Y?[I]
 21.011  MEMCX        -65.000dB      0.300U

 22.001  HEAD         -2 RBW 500 Hz: -70 dB
 22.002  TSET         TDESC = -70 dB
 22.003  MATH         TestLvl = @9640Lvl - 70
 22.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 22.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 22.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 22.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 22.007  ACC          -70.000dB      L1U                                   +DW
 22.008  TARGET       -m
 22.009  CALL         Sub FSU Take Sweep (MKPK)
 22.010  SCPI         CALC:DELT:Y?[I]
 22.011  MEMCX        -70.000dB      0.300U

 23.001  HEAD         -2 RBW 500 Hz: -75 dB
 23.002  TSET         TDESC = -75 dB
 23.003  MATH         TestLvl = @9640Lvl - 75
 23.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 23.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 23.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 23.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 23.007  ACC          -75.000dB      L1U                                   +DW
 23.008  TARGET       -m
 23.009  CALL         Sub FSU Take Sweep (MKPK)
 23.010  SCPI         CALC:DELT:Y?[I]
 23.011  MEMCX        -75.000dB      0.300U

 24.001  HEAD         -2 RBW 500 Hz: -80 dB
 24.002  TSET         TDESC = -80 dB
 24.003  SCPI         SWE:TIME 100E-3
 24.004  MATH         TestLvl = @9640Lvl - 80
 24.005  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 24.005  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 24.006  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 24.007  MATH         L[1] = RSS2(RefUnc, TestUnc)
 24.008  ACC          -80.000dB      L1U                                   +DW
 24.009  TARGET       -m
 24.010  CALL         Sub FSU Take Sweep (MKPK)
 24.011  SCPI         CALC:DELT:Y?[I]
 24.012  MEMCX        -80.000dB      0.300U

 25.001  RSLT         =
 25.002  HEAD         -2 {RBW 300 kHz}: -10 dBm Reference Set

 25.003  LABEL        300kHz_REFERENCE
 25.004  TARGET       -p
 25.005  SCPI         CALC:DELT:STAT OFF;:SWE:TIME 2.5E-3;:BAND 300E+3
 25.006  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 25.006  LPNX         +Level = 0 dBm; Freq = 50 MHz
 25.007  MATH         @MkrMode = "Normal"; @9640Lvl = 0
 25.008  CALL         Sub FSU Take Sweep (MKPK)
 25.009  SCPI         CALC:MARK:Y?[I]

 25.010  WHILE        ((MEM <= -10.02) || (MEM >= -9.98)) && NOT(@Error)
 25.011  CALL         Sub FSU Set Ref Level (dBm) /9640
 25.012  ENDW

 25.013  IF           @Error
 25.014  EVAL   -e 0 : An error occurred during the [V @TestName].
 26.001  MATH         @Error = 0
 26.002  END
 26.003  ENDIF

 26.004  JMPL         300kHz_10dB_TEST
 26.005  TARGET       -p
 26.006  JMPL         300kHz_REFERENCE

 26.007  LABEL        300kHz_10dB_TEST
 26.008  MATH         RefUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 26.009  CALL         Sub FSU Take Sweep (MKPK)
 26.010  SCPI         CALC:DELT:FUNC:FIX:STAT ON

 26.011  HEAD         -2 RBW 300 kHz: 10 dB
 26.012  TSET         TDESC = +10 dB
 26.013  MATH         TestLvl = @9640Lvl + 10
 26.014  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 26.014  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 26.015  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 26.016  MATH         L[1] = RSS2(RefUnc, TestUnc)
 26.017  MATH         @MkrMode = "Delta"
 26.018  ACC          10.000dB       L1U                                   +DW
 26.019  TARGET       -m
 26.020  CALL         Sub FSU Take Sweep (MKPK)
 26.021  SCPI         CALC:DELT:Y?[I]
 26.022  MEMCX        10.000dB       0.200U

 27.001  HEAD         -2 RBW 300 kHz: 5 dB
 27.002  TSET         TDESC = +[32]5 dB
 27.003  MATH         TestLvl = @9640Lvl + 5
 27.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 27.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 27.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 27.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 27.007  ACC          5.000dB        L1U                                   +DW
 27.008  TARGET       -m
 27.009  CALL         Sub FSU Take Sweep (MKPK)
 27.010  SCPI         CALC:DELT:Y?[I]
 27.011  MEMCX        5.000dB        0.200U

 28.001  HEAD         -2 RBW 300 kHz: -5 dB
 28.002  TSET         TDESC = -[32]5 dB
 28.003  MATH         TestLvl = @9640Lvl - 5
 28.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 28.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 28.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 28.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 28.007  ACC          -5.000dB       L1U                                   +DW
 28.008  TARGET       -m
 28.009  CALL         Sub FSU Take Sweep (MKPK)
 28.010  SCPI         CALC:DELT:Y?[I]
 28.011  MEMCX        -5.000dB       0.200U

 29.001  HEAD         -2 RBW 300 kHz: -10 dB
 29.002  TSET         TDESC = -10 dB
 29.003  MATH         TestLvl = @9640Lvl - 10
 29.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 29.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 29.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 29.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 29.007  ACC          -10.000dB      L1U                                   +DW
 29.008  TARGET       -m
 29.009  CALL         Sub FSU Take Sweep (MKPK)
 29.010  SCPI         CALC:DELT:Y?[I]
 29.011  MEMCX        -10.000dB      0.200U

 30.001  HEAD         -2 RBW 300 kHz: -15 dB
 30.002  TSET         TDESC = -15 dB
 30.003  MATH         TestLvl = @9640Lvl - 15
 30.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 30.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 30.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 30.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 30.007  ACC          -15.000dB      L1U                                   +DW
 30.008  TARGET       -m
 30.009  CALL         Sub FSU Take Sweep (MKPK)
 30.010  SCPI         CALC:DELT:Y?[I]
 30.011  MEMCX        -15.000dB      0.200U

 31.001  HEAD         -2 RBW 300 kHz: -20 dB
 31.002  TSET         TDESC = -20 dB
 31.003  MATH         TestLvl = @9640Lvl - 20
 31.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 31.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 31.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 31.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 31.007  ACC          -20.000dB      L1U                                   +DW
 31.008  TARGET       -m
 31.009  CALL         Sub FSU Take Sweep (MKPK)
 31.010  SCPI         CALC:DELT:Y?[I]
 31.011  MEMCX        -20.000dB      0.200U

 32.001  HEAD         -2 RBW 300 kHz: -25 dB
 32.002  TSET         TDESC = -25 dB
 32.003  MATH         TestLvl = @9640Lvl - 25
 32.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 32.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 32.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 32.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 32.007  ACC          -25.000dB      L1U                                   +DW
 32.008  TARGET       -m
 32.009  CALL         Sub FSU Take Sweep (MKPK)
 32.010  SCPI         CALC:DELT:Y?[I]
 32.011  MEMCX        -25.000dB      0.200U

 33.001  HEAD         -2 RBW 300 kHz: -30 dB
 33.002  TSET         TDESC = -30 dB
 33.003  MATH         TestLvl = @9640Lvl - 30
 33.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 33.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 33.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 33.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 33.007  ACC          -30.000dB      L1U                                   +DW
 33.008  TARGET       -m
 33.009  CALL         Sub FSU Take Sweep (MKPK)
 33.010  SCPI         CALC:DELT:Y?[I]
 33.011  MEMCX        -30.000dB      0.200U

 34.001  HEAD         -2 RBW 300 kHz: -35 dB
 34.002  TSET         TDESC = -35 dB
 34.003  MATH         TestLvl = @9640Lvl - 35
 34.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 34.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 34.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 34.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 34.007  ACC          -35.000dB      L1U                                   +DW
 34.008  TARGET       -m
 34.009  CALL         Sub FSU Take Sweep (MKPK)
 34.010  SCPI         CALC:DELT:Y?[I]
 34.011  MEMCX        -35.000dB      0.200U

 35.001  HEAD         -2 RBW 300 kHz: -40 dB
 35.002  TSET         TDESC = -40 dB
 35.003  MATH         TestLvl = @9640Lvl - 40
 35.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 35.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 35.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 35.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 35.007  ACC          -40.000dB      L1U                                   +DW
 35.008  TARGET       -m
 35.009  CALL         Sub FSU Take Sweep (MKPK)
 35.010  SCPI         CALC:DELT:Y?[I]
 35.011  MEMCX        -40.000dB      0.200U

 36.001  HEAD         -2 RBW 300 kHz: -45 dB
 36.002  TSET         TDESC = -45 dB
 36.003  MATH         TestLvl = @9640Lvl - 45
 36.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 36.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 36.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 36.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 36.007  ACC          -45.000dB      L1U                                   +DW
 36.008  TARGET       -m
 36.009  CALL         Sub FSU Take Sweep (MKPK)
 36.010  SCPI         CALC:DELT:Y?[I]
 36.011  MEMCX        -45.000dB      0.500U

 37.001  HEAD         -2 RBW 300 kHz: -50 dB
 37.002  TSET         TDESC = -50 dB
 37.003  MATH         TestLvl = @9640Lvl - 50
 37.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 37.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 37.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 37.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 37.007  ACC          -50.000dB      L1U                                   +DW
 37.008  TARGET       -m
 37.009  CALL         Sub FSU Take Sweep (MKPK)
 37.010  SCPI         CALC:DELT:Y?[I]
 37.011  MEMCX        -50.000dB      0.500U

 38.001  HEAD         -2 RBW 300 kHz: -55 dB
 38.002  TSET         TDESC = -55 dB
 38.003  MATH         TestLvl = @9640Lvl - 55
 38.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 38.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 38.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 38.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 38.007  ACC          -55.000dB      L1U                                   +DW
 38.008  TARGET       -m
 38.009  CALL         Sub FSU Take Sweep (MKPK)
 38.010  SCPI         CALC:DELT:Y?[I]
 38.011  MEMCX        -55.000dB      0.500U

 39.001  HEAD         -2 RBW 300 kHz: -60 dB
 39.002  TSET         TDESC = -60 dB
 39.003  MATH         TestLvl = @9640Lvl - 60
 39.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 39.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 39.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 39.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 39.007  ACC          -60.000dB      L1U                                   +DW
 39.008  TARGET       -m
 39.009  CALL         Sub FSU Take Sweep (MKPK)
 39.010  SCPI         CALC:DELT:Y?[I]
 39.011  MEMCX        -60.000dB      0.500U

 40.001  RSLT         =
 40.002  HEAD         -2 {RBW 10 MHz}: 10 dB Reference Set

 40.003  LABEL        10MHz_REFERENCE
 40.004  TARGET       -p
 40.005  SCPI         CALC:DELT:STAT OFF;:BAND 10E+6
 40.006  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 40.006  LPNX         +Level = 0 dBm; Freq = 50 MHz
 40.007  MATH         @MkrMode = "Normal"; @9640Lvl = 0
 40.008  CALL         Sub FSU Take Sweep (MKPK)
 40.009  SCPI         CALC:MARK:Y?[I]

 40.010  WHILE        ((MEM <= -10.02) || (MEM >= -9.98)) && NOT(@Error)
 40.011  CALL         Sub FSU Set Ref Level (dBm) /9640
 40.012  ENDW

 40.013  IF           @Error
 40.014  EVAL   -e 0 : An error occurred during the [V @TestName].
 41.001  MATH         @Error = 0
 41.002  END
 41.003  ENDIF

 41.004  JMPL         10MHz_10dB_TEST
 41.005  TARGET       -p
 41.006  JMPL         10MHz_REFERENCE

 41.007  LABEL        10MHz_10dB_TEST
 41.008  MATH         RefUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 41.009  CALL         Sub FSU Take Sweep (MKPK)
 41.010  SCPI         CALC:DELT:FUNC:FIX:STAT ON

 41.011  HEAD         -2 RBW 10 MHz: +10 dB
 41.012  TSET         TDESC = +10 dB
 41.013  MATH         TestLvl = @9640Lvl + 10
 41.014  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 41.014  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 41.015  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 41.016  MATH         L[1] = RSS2(RefUnc, TestUnc)
 41.017  MATH         @MkrMode = "Delta"
 41.018  ACC          10.000dB       L1U                                   +DW
 41.019  TARGET       -m
 41.020  CALL         Sub FSU Take Sweep (MKPK)
 41.021  SCPI         CALC:DELT:Y?[I]
 41.022  MEMCX        10.000dB       0.500U

 42.001  HEAD         -2 RBW 10 MHz: +5 dB
 42.002  TSET         TDESC = +[32]5 dB
 42.003  MATH         TestLvl = @9640Lvl + 5
 42.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 42.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 42.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 42.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 42.007  ACC          5.000dB        L1U                                   +DW
 42.008  TARGET       -m
 42.009  CALL         Sub FSU Take Sweep (MKPK)
 42.010  SCPI         CALC:DELT:Y?[I]
 42.011  MEMCX        5.000dB        0.500U

 43.001  HEAD         -2 RBW 10 MHz: -5 dB
 43.002  TSET         TDESC = -[32]5 dB
 43.003  MATH         TestLvl = @9640Lvl - 5
 43.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 43.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 43.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 43.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 43.007  ACC          -5.000dB       L1U                                   +DW
 43.008  TARGET       -m
 43.009  CALL         Sub FSU Take Sweep (MKPK)
 43.010  SCPI         CALC:DELT:Y?[I]
 43.011  MEMCX        -5.000dB       0.500U

 44.001  HEAD         -2 RBW 10 MHz: -10 dB
 44.002  TSET         TDESC = -10 dB
 44.003  MATH         TestLvl = @9640Lvl - 10
 44.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 44.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 44.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 44.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 44.007  ACC          -10.000dB      L1U                                   +DW
 44.008  TARGET       -m
 44.009  CALL         Sub FSU Take Sweep (MKPK)
 44.010  SCPI         CALC:DELT:Y?[I]
 44.011  MEMCX        -10.000dB      0.500U

 45.001  HEAD         -2 RBW 10 MHz: -15 dB
 45.002  TSET         TDESC = -15 dB
 45.003  MATH         TestLvl = @9640Lvl - 15
 45.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 45.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 45.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 45.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 45.007  ACC          -15.000dB      L1U                                   +DW
 45.008  TARGET       -m
 45.009  CALL         Sub FSU Take Sweep (MKPK)
 45.010  SCPI         CALC:DELT:Y?[I]
 45.011  MEMCX        -15.000dB      0.500U

 46.001  HEAD         -2 RBW 10 MHz: -20 dB
 46.002  TSET         TDESC = -20 dB
 46.003  MATH         TestLvl = @9640Lvl - 20
 46.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 46.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 46.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 46.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 46.007  ACC          -20.000dB      L1U                                   +DW
 46.008  TARGET       -m
 46.009  CALL         Sub FSU Take Sweep (MKPK)
 46.010  SCPI         CALC:DELT:Y?[I]
 46.011  MEMCX        -20.000dB      0.500U

 47.001  HEAD         -2 RBW 10 MHz: -25 dB
 47.002  TSET         TDESC = -25 dB
 47.003  MATH         TestLvl = @9640Lvl - 25
 47.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 47.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 47.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 47.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 47.007  ACC          -25.000dB      L1U                                   +DW
 47.008  TARGET       -m
 47.009  CALL         Sub FSU Take Sweep (MKPK)
 47.010  SCPI         CALC:DELT:Y?[I]
 47.011  MEMCX        -25.000dB      0.500U

 48.001  HEAD         -2 RBW 10 MHz: -30 dB
 48.002  TSET         TDESC = -30 dB
 48.003  MATH         TestLvl = @9640Lvl - 30
 48.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 48.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 48.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 48.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 48.007  ACC          -30.000dB      L1U                                   +DW
 48.008  TARGET       -m
 48.009  CALL         Sub FSU Take Sweep (MKPK)
 48.010  SCPI         CALC:DELT:Y?[I]
 48.011  MEMCX        -30.000dB      0.500U

 49.001  HEAD         -2 RBW 10 MHz: -35 dB
 49.002  TSET         TDESC = -35 dB
 49.003  MATH         TestLvl = @9640Lvl - 35
 49.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 49.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 49.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 49.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 49.007  ACC          -35.000dB      L1U                                   +DW
 49.008  TARGET       -m
 49.009  CALL         Sub FSU Take Sweep (MKPK)
 49.010  SCPI         CALC:DELT:Y?[I]
 49.011  MEMCX        -35.000dB      0.500U

 50.001  HEAD         -2 RBW 10 MHz: -40 dB
 50.002  TSET         TDESC = -40 dB
 50.003  MATH         TestLvl = @9640Lvl - 40
 50.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 50.004  LPNX         +Level = [V TestLvl] dBm; Freq = 50 MHz
 50.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 50E+6)
 50.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 50.007  ACC          -40.000dB      L1U                                   +DW
 50.008  TARGET       -m
 50.009  CALL         Sub FSU Take Sweep (MKPK)
 50.010  SCPI         CALC:DELT:Y?[I]
 50.011  MEMCX        -40.000dB      0.500U

 51.001  HEAD         -2
 51.002  LPNX         Reset
 51.003  MATH         DEL("@MkrMode")
 51.004  SCPI         SYST:PRES
 51.005  HEAD
 51.006  END

 51.007  EVAL   Increment Test Number

# ====== Sub FSU (1 yr) RF Attenuator Accuracy VER /LPNX ===================

# It is assumed a 10 dB attenuator is connected in series between the
# 9640A-LPNX and the UUT.

 52.001  LABEL        RF_ATTEN_ACCURACY
 52.002  RSLT         =
 52.003  HEAD         {RF ATTENUATOR ACCURACY (Relative to 10 dB)}
 52.004  TARGET       -p
 52.005  HEAD         -2 RF Attenuator Setting: 10 dB (Reference)
 52.006  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
 52.007  SCPI         INP:ATT 10 dB;:DISP:WIND:TRAC:Y:RLEV -35;SPAC LOG
 52.007  SCPI         DISP:WIND:TRAC:Y 100 dB;MODE AVER;:DET:FUNC RMS
 52.008  SCPI         FREQ:CENT 128E+6;SPAN 500;:BAND:RES 1E+3;VID 100
 52.009  SCPI         SWE:COUN 20
 52.010  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 52.010  LPNX         +Level = -50 dBm; Freq = 128 MHz
 52.011  CALL         Sub FSU Take Sweep Only
 52.012  MATH         RefUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 52.013  MATH         @MkrMode = "Normal"
 52.014  CALL         Sub FSU Take Sweep (MKPK)
 52.015  SCPI         CALC:DELT:FUNC:FIX:STAT ON

 52.016  HEAD         -2 RF Attenuator Setting: 5 dB
 52.017  TSET         TDESC = [32]5 dB
 52.018  SCPI         INP:ATT 5dB;:DISP:WIND:TRAC:Y:RLEV -40
 52.019  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 52.019  LPNX         +Level = -55 dBm; Freq = 128 MHz
 52.020  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 52.021  MATH         L[1] = RSS2(RefUnc, TestUnc)
 52.022  MATH         @MkrMode = "Delta"
 52.023  ACC          -5.000dB       L1U                                   +DW
 52.024  TARGET       -m
 52.025  CALL         Sub FSU Take Sweep (MKPK)
 52.026  SCPI         CALC:DELT:Y?[I]
 52.027  MEMCX        -5.000dB       0.200U

 53.001  HEAD         -2 RF Attenuator Setting: 15 dB
 53.002  TSET         TDESC = 15 dB
 53.003  SCPI         INP:ATT 15 dB;:DISP:WIND:TRAC:Y:RLEV -30
 53.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 53.004  LPNX         +Level = -45 dBm; Freq = 128 MHz
 53.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 53.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 53.007  ACC          5.000dB        L1U                                   +DW
 53.008  TARGET       -m
 53.009  CALL         Sub FSU Take Sweep (MKPK)
 53.010  SCPI         CALC:DELT:Y?[I]
 53.011  MEMCX        5.000dB        0.200U

 54.001  HEAD         -2 RF Attenuator Setting: 20 dB
 54.002  TSET         TDESC = 20 dB
 54.003  SCPI         INP:ATT 20 dB;:DISP:WIND:TRAC:Y:RLEV -25
 54.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 54.004  LPNX         +Level = -40 dBm; Freq = 128 MHz
 54.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 54.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 54.007  ACC          10.000dB       L1U                                   +DW
 54.008  TARGET       -m
 54.009  CALL         Sub FSU Take Sweep (MKPK)
 54.010  SCPI         CALC:DELT:Y?[I]
 54.011  MEMCX        10.000dB       0.200U

 55.001  HEAD         -2 RF Attenuator Setting: 25 dB
 55.002  TSET         TDESC = 25 dB
 55.003  SCPI         INP:ATT 25 dB;:DISP:WIND:TRAC:Y:RLEV -20
 55.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 55.004  LPNX         +Level = -35 dBm; Freq = 128 MHz
 55.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 55.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 55.007  ACC          15.000dB       L1U                                   +DW
 55.008  TARGET       -m
 55.009  CALL         Sub FSU Take Sweep (MKPK)
 55.010  SCPI         CALC:DELT:Y?[I]
 55.011  MEMCX        15.000dB       0.200U

 56.001  HEAD         -2 RF Attenuator Setting: 30 dB
 56.002  TSET         TDESC = 30 dB
 56.003  SCPI         INP:ATT 30 dB;:DISP:WIND:TRAC:Y:RLEV -15
 56.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 56.004  LPNX         +Level = -30 dBm; Freq = 128 MHz
 56.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 56.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 56.007  ACC          20.000dB       L1U                                   +DW
 56.008  TARGET       -m
 56.009  CALL         Sub FSU Take Sweep (MKPK)
 56.010  SCPI         CALC:DELT:Y?[I]
 56.011  MEMCX        20.000dB       0.200U

 57.001  HEAD         -2 RF Attenuator Setting: 35 dB
 57.002  TSET         TDESC = 35 dB
 57.003  SCPI         INP:ATT 35 dB;:DISP:WIND:TRAC:Y:RLEV -10
 57.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 57.004  LPNX         +Level = -25 dBm; Freq = 128 MHz
 57.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 57.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 57.007  ACC          25.000dB       L1U                                   +DW
 57.008  TARGET       -m
 57.009  CALL         Sub FSU Take Sweep (MKPK)
 57.010  SCPI         CALC:DELT:Y?[I]
 57.011  MEMCX        25.000dB       0.200U

 58.001  HEAD         -2 RF Attenuator Setting: 40 dB
 58.002  TSET         TDESC = 40 dB
 58.003  SCPI         INP:ATT 40 dB;:DISP:WIND:TRAC:Y:RLEV -5
 58.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 58.004  LPNX         +Level = -20 dBm; Freq = 128 MHz
 58.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 58.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 58.007  ACC          30.000dB       L1U                                   +DW
 58.008  TARGET       -m
 58.009  CALL         Sub FSU Take Sweep (MKPK)
 58.010  SCPI         CALC:DELT:Y?[I]
 58.011  MEMCX        30.000dB       0.200U

 59.001  HEAD         -2 RF Attenuator Setting: 45 dB
 59.002  TSET         TDESC = 45 dB
 59.003  SCPI         INP:ATT 45 dB;:DISP:WIND:TRAC:Y:RLEV 0
 59.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 59.004  LPNX         +Level = -15 dBm; Freq = 128 MHz
 59.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 59.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 59.007  ACC          35.000dB       L1U                                   +DW
 59.008  TARGET       -m
 59.009  CALL         Sub FSU Take Sweep (MKPK)
 59.010  SCPI         CALC:DELT:Y?[I]
 59.011  MEMCX        35.000dB       0.200U

 60.001  HEAD         -2 RF Attenuator Setting: 50 dB
 60.002  TSET         TDESC = 50 dB
 60.003  SCPI         INP:ATT 50 dB;:DISP:WIND:TRAC:Y:RLEV 5
 60.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 60.004  LPNX         +Level = -10 dBm; Freq = 128 MHz
 60.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 60.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 60.007  ACC          40.000dB       L1U                                   +DW
 60.008  TARGET       -m
 60.009  CALL         Sub FSU Take Sweep (MKPK)
 60.010  SCPI         CALC:DELT:Y?[I]
 60.011  MEMCX        40.000dB       0.200U

 61.001  HEAD         -2 RF Attenuator Setting: 55 dB
 61.002  TSET         TDESC = 55 dB
 61.003  SCPI         INP:ATT 55 dB;:DISP:WIND:TRAC:Y:RLEV 10
 61.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 61.004  LPNX         +Level = -5 dBm; Freq = 128 MHz
 61.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 61.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 61.007  ACC          45.000dB       L1U                                   +DW
 61.008  TARGET       -m
 61.009  CALL         Sub FSU Take Sweep (MKPK)
 61.010  SCPI         CALC:DELT:Y?[I]
 61.011  MEMCX        45.000dB       0.200U

 62.001  HEAD         -2 RF Attenuator Setting: 60 dB
 62.002  TSET         TDESC = 60 dB
 62.003  SCPI         INP:ATT 60 dB;:DISP:WIND:TRAC:Y:RLEV 15
 62.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 62.004  LPNX         +Level = 0 dBm; Freq = 128 MHz
 62.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 62.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 62.007  ACC          50.000dB       L1U                                   +DW
 62.008  TARGET       -m
 62.009  CALL         Sub FSU Take Sweep (MKPK)
 62.010  SCPI         CALC:DELT:Y?[I]
 62.011  MEMCX        50.000dB       0.200U

 63.001  HEAD         -2 RF Attenuator Setting: 65 dB
 63.002  TSET         TDESC = 65 dB
 63.003  SCPI         INP:ATT 65 dB;:DISP:WIND:TRAC:Y:RLEV 20
 63.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 63.004  LPNX         +Level = +5 dBm; Freq = 128 MHz
 63.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 63.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 63.007  ACC          55.000dB       L1U                                   +DW
 63.008  TARGET       -m
 63.009  CALL         Sub FSU Take Sweep (MKPK)
 63.010  SCPI         CALC:DELT:Y?[I]
 63.011  MEMCX        55.000dB       0.200U

 64.001  HEAD         -2 RF Attenuator Setting: 70 dB
 64.002  TSET         TDESC = 70 dB
 64.003  SCPI         INP:ATT 70 dB;:DISP:WIND:TRAC:Y:RLEV 25
 64.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 64.004  LPNX         +Level = +10 dBm; Freq = 128 MHz
 64.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 64.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 64.007  ACC          60.000dB       L1U                                   +DW
 64.008  TARGET       -m
 64.009  CALL         Sub FSU Take Sweep (MKPK)
 64.010  SCPI         CALC:DELT:Y?[I]
 64.011  MEMCX        60.000dB       0.200U

 65.001  HEAD         -2 RF Attenuator Setting: 75 dB
 65.002  TSET         TDESC = 75 dB
 65.003  SCPI         INP:ATT 75 dB
 65.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 65.004  LPNX         +Level = +15 dBm; Freq = 128 MHz
 65.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 128E+6)
 65.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 65.007  ACC          65.000dB       L1U                                   +DW
 65.008  TARGET       -m
 65.009  CALL         Sub FSU Take Sweep (MKPK)
 65.010  SCPI         CALC:DELT:Y?[I]
 65.011  MEMCX        65.000dB       0.200U

 66.001  HEAD         -2
 66.002  LPNX         Reset
 66.003  MATH         DEL("@MkrMode")
 66.004  SCPI         SYST:PRES
 66.005  HEAD
 66.006  END

 66.007  EVAL   Increment Test Number

# ====== Sub FSU (1 yr) Reference Level Switching VER /LPNX ================

# It is assumed a 10 dB attenuator is connected in series between the
# 9640A-LPNX and the UUT.

 67.001  LABEL        REF_LEVEL_SWITCHING
 67.002  RSLT         =
 67.003  HEAD         {REFERENCE LEVEL SWITCHING (Relative to -10 dBm)}
 67.004  RSLT         =
 67.005  RSLT         =10 dB Steps
 67.006  TARGET       -p
 67.007  HEAD         -2 Reference Level Setting: -10 dBm (Reference)
 67.008  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
 67.009  SCPI         INP:ATT 10dB;:DISP:WIND:TRAC:Y:RLEV -10;SPAC LOG
 67.009  SCPI         DISP:WIND:TRAC:Y 100 dB;MODE AVER
 67.010  SCPI         FREQ:CENT 5E+6;SPAN 2E+3;:SWE:COUN 5
 67.011  SCPI         DET:FUNC RMS;:BAND:RES 1E+3;VID 100
 67.012  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 67.012  LPNX         +Level = 0 dBm; Freq = 5 MHz
 67.013  CALL         Sub FSU Take Sweep Only
 67.014  MATH         RefUnc = ACCV2(DevName, AccMode, MEM1, 5E+6)
 67.015  MATH         @MkrMode = "Normal"
 67.016  CALL         Sub FSU Take Sweep (MKPK)
 67.017  SCPI         CALC:DELT:FUNC:FIX:STAT ON

 67.018  HEAD         -2 Reference Level Setting: 0 dBm
 67.019  TSET         TDESC = [32] 0 dBm
 67.020  SCPI         DISP:WIND:TRAC:Y:RLEV 0
 67.021  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 67.021  LPNX         +Level = +10 dBm; Freq = 5 MHz
 67.022  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 5E+6)
 67.023  MATH         L[1] = RSS2(RefUnc, TestUnc)
 67.024  MATH         @MkrMode = "Delta"
 67.025  ACC          10.000dB       L1U                                   +DW
 67.026  TARGET       -m
 67.027  CALL         Sub FSU Take Sweep (MKPK)
 67.028  SCPI         CALC:DELT:Y?[I]
 67.029  MEMCX        10.000dB       0.150U

 68.001  HEAD         -2 Reference Level Setting: -20 dBm
 68.002  TSET         TDESC = -20 dBm
 68.003  SCPI         DISP:WIND:TRAC:Y:RLEV -20
 68.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 68.004  LPNX         +Level = -10 dBm; Freq = 5 MHz
 68.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 5E+6)
 68.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 68.007  ACC          -10.000dB      L1U                                   +DW
 68.008  TARGET       -m
 68.009  CALL         Sub FSU Take Sweep (MKPK)
 68.010  SCPI         CALC:DELT:Y?[I]
 68.011  MEMCX        -10.000dB      0.150U

 69.001  HEAD         -2 Reference Level Setting: -30 dBm
 69.002  TSET         TDESC = -30 dBm
 69.003  SCPI         DISP:WIND:TRAC:Y:RLEV -30
 69.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 69.004  LPNX         +Level = -20 dBm; Freq = 5 MHz
 69.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 5E+6)
 69.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 69.007  ACC          -20.000dB      L1U                                   +DW
 69.008  TARGET       -m
 69.009  CALL         Sub FSU Take Sweep (MKPK)
 69.010  SCPI         CALC:DELT:Y?[I]
 69.011  MEMCX        -20.000dB      0.150U

 70.001  HEAD         -2 Reference Level Setting: -40 dBm
 70.002  TSET         TDESC = -40 dBm
 70.003  SCPI         DISP:WIND:TRAC:Y:RLEV -40
 70.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 70.004  LPNX         +Level = -30 dBm; Freq = 5 MHz
 70.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 5E+6)
 70.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 70.007  ACC          -30.000dB      L1U                                   +DW
 70.008  TARGET       -m
 70.009  CALL         Sub FSU Take Sweep (MKPK)
 70.010  SCPI         CALC:DELT:Y?[I]
 70.011  MEMCX        -30.000dB      0.150U

 71.001  HEAD         -2 Reference Level Setting: -50 dBm
 71.002  TSET         TDESC = -50 dBm
 71.003  SCPI         DISP:WIND:TRAC:Y:RLEV -50
 71.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 71.004  LPNX         +Level = -40 dBm; Freq = 5 MHz
 71.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 5E+6)
 71.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 71.007  ACC          -40.000dB      L1U                                   +DW
 71.008  TARGET       -m
 71.009  CALL         Sub FSU Take Sweep (MKPK)
 71.010  SCPI         CALC:DELT:Y?[I]
 71.011  MEMCX        -40.000dB      0.150U

 72.001  RSLT         =
 72.002  RSLT         =1 dB Steps
 72.003  TARGET       -p
 72.004  HEAD         -2 Reference Level Setting: -11 dBm
 72.005  TSET         TDESC = -11 dBm
 72.006  SCPI         DISP:WIND:TRAC:Y:RLEV -11
 72.007  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 72.007  LPNX         +Level = -1 dBm; Freq = 5 MHz
 72.008  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 5E+6)
 72.009  MATH         L[1] = RSS2(RefUnc, TestUnc)
 72.010  ACC          -1.000dB       L1U                                   +DW
 72.011  TARGET       -m
 72.012  CALL         Sub FSU Take Sweep (MKPK)
 72.013  SCPI         CALC:DELT:Y?[I]
 72.014  MEMCX        -1.000dB       0.150U

 73.001  HEAD         -2 Reference Level Setting: -12 dBm
 73.002  TSET         TDESC = -12 dBm
 73.003  SCPI         DISP:WIND:TRAC:Y:RLEV -12
 73.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 73.004  LPNX         +Level = -2 dBm; Freq = 5 MHz
 73.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 5E+6)
 73.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 73.007  ACC          -2.000dB       L1U                                   +DW
 73.008  TARGET       -m
 73.009  CALL         Sub FSU Take Sweep (MKPK)
 73.010  SCPI         CALC:DELT:Y?[I]
 73.011  MEMCX        -2.000dB       0.150U

 74.001  HEAD         -2 Reference Level Setting: -13 dBm
 74.002  TSET         TDESC = -13 dBm
 74.003  SCPI         DISP:WIND:TRAC:Y:RLEV -13
 74.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 74.004  LPNX         +Level = -3 dBm; Freq = 5 MHz
 74.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 5E+6)
 74.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 74.007  ACC          -3.000dB       L1U                                   +DW
 74.008  TARGET       -m
 74.009  CALL         Sub FSU Take Sweep (MKPK)
 74.010  SCPI         CALC:DELT:Y?[I]
 74.011  MEMCX        -3.000dB       0.15U

 75.001  HEAD         -2 Reference Level Setting: -14 dBm
 75.002  TSET         TDESC = -14 dBm
 75.003  SCPI         DISP:WIND:TRAC:Y:RLEV -14
 75.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 75.004  LPNX         +Level = -4 dBm; Freq = 5 MHz
 75.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 5E+6)
 75.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 75.007  ACC          -4.000dB       L1U                                   +DW
 75.008  TARGET       -m
 75.009  CALL         Sub FSU Take Sweep (MKPK)
 75.010  SCPI         CALC:DELT:Y?[I]
 75.011  MEMCX        -4.000dB       0.150U

 76.001  HEAD         -2 Reference Level Setting: -15 dBm
 76.002  TSET         TDESC = -15 dBm
 76.003  SCPI         DISP:WIND:TRAC:Y:RLEV -15
 76.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 76.004  LPNX         +Level = -5 dBm; Freq = 5 MHz
 76.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 5E+6)
 76.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 76.007  ACC          -5.000dB       L1U                                   +DW
 76.008  TARGET       -m
 76.009  CALL         Sub FSU Take Sweep (MKPK)
 76.010  SCPI         CALC:DELT:Y?[I]
 76.011  MEMCX        -5.000dB       0.150U

 77.001  HEAD         -2 Reference Level Setting: -16 dBm
 77.002  TSET         TDESC = -16 dBm
 77.003  SCPI         DISP:WIND:TRAC:Y:RLEV -16
 77.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 77.004  LPNX         +Level = -6 dBm; Freq = 5 MHz
 77.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 5E+6)
 77.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 77.007  ACC          -6.000dB       L1U                                   +DW
 77.008  TARGET       -m
 77.009  CALL         Sub FSU Take Sweep (MKPK)
 77.010  SCPI         CALC:DELT:Y?[I]
 77.011  MEMCX        -6.000dB       0.150U

 78.001  HEAD         -2 Reference Level Setting: -17 dBm
 78.002  TSET         TDESC = -17 dBm
 78.003  SCPI         DISP:WIND:TRAC:Y:RLEV -17
 78.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 78.004  LPNX         +Level = -7 dBm; Freq = 5 MHz
 78.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 5E+6)
 78.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 78.007  ACC          -7.000dB       L1U                                   +DW
 78.008  TARGET       -m
 78.009  CALL         Sub FSU Take Sweep (MKPK)
 78.010  SCPI         CALC:DELT:Y?[I]
 78.011  MEMCX        -7.000dB       0.150U

 79.001  HEAD         -2 Reference Level Setting: -18 dBm
 79.002  TSET         TDESC = -18 dBm
 79.003  SCPI         DISP:WIND:TRAC:Y:RLEV -18
 79.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 79.004  LPNX         +Level = -8 dBm; Freq = 5 MHz
 79.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 5E+6)
 79.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 79.007  ACC          -8.000dB       L1U                                   +DW
 79.008  TARGET       -m
 79.009  CALL         Sub FSU Take Sweep (MKPK)
 79.010  SCPI         CALC:DELT:Y?[I]
 79.011  MEMCX        -8.000dB       0.150U

 80.001  HEAD         -2 Reference Level Setting: -19 dBm
 80.002  TSET         TDESC = -19 dBm
 80.003  SCPI         DISP:WIND:TRAC:Y:RLEV -19
 80.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 80.004  LPNX         +Level = -9 dBm; Freq = 5 MHz
 80.005  MATH         TestUnc = ACCV2(DevName, AccMode, MEM1, 5E+6)
 80.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 80.007  ACC          -9.000dB       L1U                                   +DW
 80.008  TARGET       -m
 80.009  CALL         Sub FSU Take Sweep (MKPK)
 80.010  SCPI         CALC:DELT:Y?[I]
 80.011  MEMCX        -9.000dB       0.150U

 81.001  HEAD         -2
 81.002  LPNX         Reset
 81.003  MATH         DEL("@MkrMode")
 81.004  SCPI         SYST:PRES
 81.005  HEAD
 81.006  END

 81.007  EVAL   Increment Test Number

# ====== Sub FSU (1 yr) Phase Noise VER /LPNX ==============================

# It is assumed a direct connection is made between the 9640A-LPNX and UUT.

 82.001  LABEL        PHASE_NOISE
 82.002  RSLT         =
 82.003  HEAD         {PHASE NOISE}
# Query NTHROW parameter value.
 82.004  MATH         @NumThrow = VGET("NTHROW")
# UUT readings are averaged internally. Set NTHROW to zero to expedite test.
 82.005  VSET         NTHROW = 0

 82.006  IF           (FLD(@SerialNum, 1, "/") < 200000)
 82.007  HEAD         -2 { Offset from 639 MHz}: 100 Hz
 82.008  TARGET       -p
 82.009  TSET         TDESC = 100 Hz
 82.010  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
 82.011  SCPI         FREQ:CENT 639E+6;SPAN 1E+3;:DISP:WIND:TRAC:Y:RLEV 5
 82.011  SCPI         INP:ATT 10 DB
 82.012  LPNX         +Freq = 639 MHz; Level = 0 dBm; OutpImp = 50 Ohms
 82.013  CALL         Sub FSU Take Sweep (MKPK)
# Retrieve marker frequency reading of input signal.
 82.014  SCPI         CALC:MARK:X?[I]
# Compute offset of measured marker frequency relative to nominal.
 82.015  MATH         FreqOffset = 639E+6 - MEM
# Program computed frequency offset to UUT to correct for frequency error.
 82.016  SCPI         FREQ:OFFS [V FreqOffset]
 82.017  CALL         Sub FSU Take Sweep Only
# Reset UUT center frequency to (the now corrected) nominal frequency.
 82.018  SCPI         FREQ:CENT 639E+6;:BAND:VID:RAT 0.1
 82.019  CALL         Sub FSU Take Sweep (MKPK)
 82.020  SCPI         DISP:WIND:TRAC:MODE AVER;:SWE:COUN 20
 82.021  SCPI         CALC:DELT1:FUNC:PNO ON
 82.022  SCPI         FREQ:CENT 639.0001E+6;SPAN 20;:SWE:TIME 10;:BAND:RES 30
 82.023  SCPI         DISP:WIND:TRAC:Y:RLEV 0
 82.024  TARGET       -m
 82.025  SCPI         [T240000]INIT:IMM
 82.026  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
 82.027  ACC          dBc/Hz         0.37U                                 +DW
 82.028  MEMCX        -90.00dBc/Hz   -70.000U

 83.001  HEAD         -2 Offset from 639 MHz: 1 kHz
 83.002  TSET         TDESC = 1 kHz
 83.003  LPNX         +Freq = 639 MHz; Level = 0 dBm; OutpImp = 50 Ohms
 83.004  SCPI         FREQ:CENT 639.001E+6;SPAN 200;:BAND:RES 100
 83.005  TARGET       -m
 83.006  SCPI         [T240000]INIT:IMM
 83.007  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
 83.008  ACC          dBc/Hz         0.37U                                 +DW
 83.009  MEMCX        -112.00dBc/Hz  -48.000U

 84.001  HEAD         -2 Offset from 639 MHz: 10 kHz
 84.002  TSET         TDESC = 10 kHz
 84.003  LPNX         +Freq = 639 MHz; Level = 0 dBm; OutpImp = 50 Ohms
 84.004  SCPI         FREQ:CENT 639.01E+6;SPAN 2E+3;:SWE:TIME 5;:BAND:RES 300
 84.005  TARGET       -m
 84.006  SCPI         [T120000]INIT:IMM
 84.007  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
 84.008  ACC          dBc/Hz         0.37U                                 +DW
 84.009  MEMCX        -120.00dBc/Hz  -40.000U

 85.001  HEAD         -2 Offset from 639 MHz: 100 kHz
 85.002  TSET         TDESC = 100 kHz
 85.003  LPNX         +Freq = 639 MHz; Level = 0 dBm; OutpImp = 50 Ohms
 85.004  SCPI         FREQ:CENT 639.1E+6;SPAN 10E+3;:SWE:TIME 2;:BAND:RES 3E+3
 85.005  SCPI         INP:ATT 0dB;:DISP:WIND:TRAC:Y:RLEV -10
 85.006  TARGET       -m
 85.007  SCPI         [T60000]INIT:IMM
 85.008  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
 85.009  ACC          dBc/Hz         0.37U                                 +DW
 85.010  MEMCX        -120.00dBc/Hz  -40.000U

 86.001  HEAD         -2 Offset from 639 MHz: 1 MHz
 86.002  TSET         TDESC = 1 MHz
 86.003  LPNX         +Freq = 639 MHz; Level = 0 dBm; OutpImp = 50 Ohms
 86.004  SCPI         FREQ:CENT 640E+6;SPAN 100E+3;:BAND:RES 30E+3
 86.005  SCPI         DISP:WIND:TRAC:Y:RLEV -30
 86.006  TARGET       -m
 86.007  SCPI         [T60000]INIT:IMM
 86.008  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
 86.009  ACC          dBc/Hz         0.28U                                 +DW
 86.010  MEMCX        -138.00dBc/Hz  -22.000U

 87.001  ELSE         ; @SerialNum > 200000

 87.002  HEAD         -2 { Offset from 640 MHz}: 100 Hz
 87.003  TARGET       -p
 87.004  TSET         TDESC = 100 Hz
 87.005  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
 87.006  SCPI         FREQ:CENT 640E+6;SPAN 1E+3;:DISP:WIND:TRAC:Y:RLEV 8
 87.006  SCPI         INP:ATT 10 DB
 87.007  LPNX         +Freq = 640 MHz; Level = +5 dBm; OutpImp = 50 Ohms
 87.008  CALL         Sub FSU Take Sweep (MKPK)
# Retrieve marker frequency reading of input signal.
 87.009  SCPI         CALC:MARK:X?[I]
# Compute offset of measured marker frequency relative to nominal.
 87.010  MATH         FreqOffset = 640E+6 - MEM
# Program computed frequency offset to UUT to correct for frequency error.
 87.011  SCPI         FREQ:OFFS [V FreqOffset]
 87.012  CALL         Sub FSU Take Sweep Only
# Reset UUT center frequency to (the now corrected) nominal frequency.
 87.013  SCPI         FREQ:CENT 640E+6;:BAND:VID:RAT 0.1
 87.014  CALL         Sub FSU Take Sweep (MKPK)
 87.015  SCPI         DISP:WIND:TRAC:MODE AVER;:SWE:COUN 20
 87.016  SCPI         CALC:DELT1:FUNC:PNO ON
 87.017  SCPI         FREQ:CENT 640.0001E+6;SPAN 0;:SWE:TIME 10;:BAND:RES 10
 87.018  TARGET       -m
 87.019  SCPI         [T240000]INIT:IMM
 87.020  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
 87.021  ACC          dBc/Hz         0.37U                                 +DW
 87.022  MEMCX        -98.00dBc/Hz   -62.000U

 88.001  HEAD         -2 Offset from 640 MHz: 1 kHz
 88.002  TSET         TDESC = 1 kHz
 88.003  LPNX         +Freq = 640 MHz; Level = +5 dBm; OutpImp = 50 Ohms
 88.004  SCPI         FREQ:CENT 640.001E+6;:BAND:RES 100
 88.005  TARGET       -m
 88.006  SCPI         [T240000]INIT:IMM
 88.007  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
 88.008  ACC          dBc/Hz         0.37U                                 +DW
 88.009  MEMCX        -116.00dBc/Hz  -44.000U

 89.001  HEAD         -2 Offset from 640 MHz: 10 kHz
 89.002  TSET         TDESC = 10 kHz
 89.003  LPNX         +Freq = 640 MHz; Level = +5 dBm; OutpImp = 50 Ohms
 89.004  SCPI         FREQ:CENT 640.01E+6;:SWE:TIME 5;:BAND:RES 500
 89.005  SCPI         DISP:WIND:TRAC:Y:RLEV -5
 89.006  TARGET       -m
 89.007  SCPI         [T120000]INIT:IMM
 89.008  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
 89.009  ACC          dBc/Hz         0.37U                                 +DW
 89.010  MEMCX        -128.00dBc/Hz  -32.000U

 90.001  HEAD         -2 Offset from 640 MHz: 100 kHz
 90.002  TSET         TDESC = 100 kHz
 90.003  LPNX         +Freq = 640 MHz; Level = +5 dBm; OutpImp = 50 Ohms
 90.004  SCPI         FREQ:CENT 640.1E+6;:SWE:TIME 2;:BAND:RES 10E+3
 90.005  SCPI         INP:ATT 5dB;:DISP:WIND:TRAC:Y:RLEV -2
 90.006  TARGET       -m
 90.007  SCPI         [T60000]INIT:IMM
 90.008  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
 90.009  ACC          dBc/Hz         0.37U                                 +DW
 90.010  MEMCX        -128.00dBc/Hz  -32.000U

 91.001  HEAD         -2 Offset from 640 MHz: 1 MHz
 91.002  TSET         TDESC = 1 MHz
 91.003  LPNX         +Freq = 640 MHz; Level = +5 dBm; OutpImp = 50 Ohms
 91.004  SCPI         FREQ:CENT 641E+6;:BAND:RES 30E+3
 91.005  SCPI         DISP:WIND:TRAC:Y:RLEV -20
 91.006  TARGET       -m
 91.007  SCPI         [T60000]INIT:IMM
 91.008  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
 91.009  ACC          dBc/Hz         0.28U                                 +DW
 91.010  MEMCX        -140.00dBc/Hz  -20.000U
 92.001  ENDIF

 92.002  HEAD         -2
 92.003  LPNX         Reset
 92.004  SCPI         SYST:PRES
 92.005  HEAD
# Restore original NTHROW value.
 92.006  VSET         NTHROW = [V @NumThrow]
 92.007  END
