﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU Add'l Equipment Minimum Use Requirements
DATE:                  2011-02-01
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       260
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        FSU3, FSU8, FSU26
#
#  Compatibility:
#        MET/CAL 7.3 (7.3.26) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           (FLD(@SerialNum, 2, "/") > 8)
  1.002  MATH         Limit = 26.5
  1.003  ELSE
  1.004  MATH         Limit = 13
  1.005  ENDIF

  1.006  HEAD         FLEXIBLE STANDARDS
  1.007  MATH         LF = @LFCTR_Ch1

  1.008  IF           @Opt_B21
  1.009  DISP         The minimum use specifications of the following devices,
  1.009  DISP         configured as flexible standards, must be satisfied.
  1.009  DISP
  1.009  DISP         [32]NOMENCLATURE        ALIAS   DEVICE NAME
  1.009  DISP
  1.009  DISP         [32]Digital Multimeter  DMM    [V @DMM_DevName]
  1.009  DISP         [32]LF Counter          LFCTR  [V @LFCTR_DevName] [V LF]
  1.009  DISP         [32]Sweep Generator     SWPG   [V @SWPG_DevName]
  1.009  DISP         [32]µW Signal Generator UWSG   [V @UWSG_DevName]

  1.010  ELSE

  1.011  DISP         The minimum use specifications of the following devices,
  1.011  DISP         configured as flexible standards, must be satisfied.
  1.011  DISP
  1.011  DISP         [32]NOMENCLATURE        ALIAS   DEVICE NAME
  1.011  DISP
  1.011  DISP         [32]LF Counter          LFCTR  [V @LFCTR_DevName] [V LF]
  1.011  DISP         [32]Sweep Generator     SWPG   [V @SWPG_DevName]
  1.011  DISP         [32]µW Signal Generator UWSG   [V @UWSG_DevName]
  1.012  ENDIF

  1.013  HEAD         -2 (Synthesized) Sweep Generator (SWPG)
  1.014  OPBR         -z SWPG: [V @SWPG_DevName]
  1.014  OPBR
  1.014  OPBR         Minimum Use Specifications:
  1.014  OPBR         [32] Frequency Range: 10 MHz to [V Limit] GHz, CW
  1.014  OPBR         [32]   Accuracy:
  1.014  OPBR         [32]     Internal: ±1 ppm or better
  1.014  OPBR         [32]     External: Capable of being locked to an
  1.014  OPBR         [32]               external reference
  1.014  OPBR         [32]   Resolution: 1 Hz
  1.014  OPBR
  1.014  OPBR         [32] Amplitude Range: -20 dBm to +16 dBm
  1.014  OPBR         [32]   Accuracy: ±1 dB or less
  1.014  OPBR         [32]   Resolution: 0.01 dB
  1.014  OPBR
  1.014  OPBR         [32] Harmonic Level:
  1.014  OPBR         [32]   < -30 dBc
  1.014  OPBR
  1.014  OPBR         Does the [V @SWPG_DevName] satisfy the above Minimum
  1.014  OPBR         Use Specifications?
  1.015  MATH         @SWPG = MEM1

  1.016  HEAD         -2 µW Signal Generator (UWSG)
  1.017  OPBR         -z UWSG: [V @UWSG_DevName]
  1.017  OPBR
  1.017  OPBR         Minimum Use Specifications:
  1.017  OPBR         [32] Frequency Range: 10 MHz to [V Limit] GHz, CW
  1.017  OPBR         [32]   Accuracy:
  1.017  OPBR         [32]     Internal: ±1 ppm or better
  1.017  OPBR         [32]     External: Capable of being locked to an
  1.017  OPBR         [32]               external reference
  1.017  OPBR         [32]   Resolution: 1 Hz
  1.017  OPBR
  1.017  OPBR         [32] Amplitude Range: -20 dBm to +13 dBm
  1.017  OPBR         [32]   Accuracy: ±1 dB or less
  1.017  OPBR         [32]   Resolution: 0.01 dB
  1.017  OPBR
  1.017  OPBR         [32] Harmonic Level:
  1.017  OPBR         [32]   < -30 dBc
  1.017  OPBR
  1.017  OPBR         Does the [V @UWSG_DevName] satisfy the above Minimum
  1.017  OPBR         Use Specifications?
  1.018  MATH         @UWSG = MEM1

  1.019  HEAD         -2 LF Counter (LFCTR)
  1.020  OPBR         -z LFCTR: [V @LFCTR_DevName]
  1.020  OPBR
  1.020  OPBR         Minimum Use Specifications:
  1.020  OPBR         [32] [V LF] Frequency Range: 10 MHz
  1.020  OPBR         [32]   Accuracy: ±0.045 ppm or better
  1.020  OPBR
  1.020  OPBR         Does the [V @LFCTR_DevName] satisfy the above Minimum
  1.020  OPBR         Use Specifications?
  1.021  MATH         @LFCTR = MEM1

  1.022  IF           @Opt_B21
  1.023  HEAD         -2 Digital Multimeter (DMM)
  1.024  OPBR         -z DMM: [V @DMM_DevName]
  1.024  OPBR
  1.024  OPBR         Minimum Use Specifications:
  1.024  OPBR         [32] DC Current Function
  1.024  OPBR         [32]   Range: 0 to ±10 mA
  1.024  OPBR         [32]   Accuracy: ±(4% + 0.25 mA) or better
  1.024  OPBR
  1.024  OPBR         Does the [V @DMM_DevName] satisfy the above Minimum
  1.024  OPBR         Use Specifications?
  1.025  MATH         @DMM = MEM1
  1.026  ELSE
# Default to true if DMM not required to satisfy subsequent logic.
  1.027  MATH         @DMM = 1
  1.028  ENDIF

  1.029  HEAD         -2

  1.030  IF           NOT(@SWPG)
  1.031  DISP         Currently configured SWPG (Sweep Generator):
  1.031  DISP
  1.031  DISP         [32][V @SWPG_DevName]
  1.031  DISP
  1.031  DISP         does not satisfy procedure Minimum Use Specifications.
  1.032  ENDIF

  1.033  IF           NOT(@UWSG)
  1.034  DISP         Currently configured UWSG (µW Signal Generator):
  1.034  DISP
  1.034  DISP         [32][V @UWSG_DevName]
  1.034  DISP
  1.034  DISP         does not satisfy procedure Minimum Use Specifications.
  1.035  ENDIF

  1.036  IF           NOT(@LFCTR)
  1.037  DISP         Currently configured LFCTR (LF Counter):
  1.037  DISP
  1.037  DISP         [32][V @LFCTR_DevName]
  1.037  DISP
  1.037  DISP         does not satisfy procedure Minimum Use Specifications.
  1.038  ENDIF

  1.039  IF           NOT(@DMM)
  1.040  DISP         Currently configured DMM (Digital Multimeter):
  1.040  DISP
  1.040  DISP         [32][V @DMM_DevName]
  1.040  DISP
  1.040  DISP         does not satisfy procedure Minimum Use Specifications.
  1.041  ENDIF

  1.042  IF           NOT(@SWPG) || NOT(@UWSG) || NOT(@LFCTR) || NOT(@DMM)
  1.043  HEAD         FLEXIBLE STANDARD(S) UNSATISFACTORY FOR PROCEDURE USE!
  1.044  DISP         Flexible Standard(s) currently configured for use with
  1.044  DISP         this procedure have been identified as not satisfying
  1.044  DISP         the Minimum Use Specifications.
  1.044  DISP
  1.044  DISP         Select "Advance" to abort procedure, configure suitable
  1.044  DISP         device(s) to replace those identified, then restart the
  1.044  DISP         procedure from the beginning.
  1.045  MATH         @Abort = 1
  1.046  END
  1.047  ENDIF

  1.048  OPBR         -z Do you want to REVIEW the list of additional
  1.048  OPBR         equipment and/or accessories required?

  1.049  IF           MEM1

  1.050  HEAD         ADDITIONAL EQUIPMENT/ACCESSORIES REQUIRED
  1.051  HEAD         -2 Additional Equipment: Page 1 of 3
  1.052  DISP         Power Splitter:
  1.052  DISP         - Frequency : 3 GHz to [V Limit] GHz
  1.052  DISP         - VSWR, 3 GHz to [V Limit] GHz : <= 1.22
  1.052  DISP         - Tracking Error : < ±0.25 dB
  1.052  DISP         - Impedance : 50 Ohms
  1.052  DISP         - Connectors : 3.5 mm
  1.052  DISP         Agilent® 11667B
  1.052  DISP
  1.052  DISP         10 dB Fixed Attenuator:
  1.052  DISP         - Frequency : 50 MHz to [V Limit] GHz
  1.052  DISP         - VSWR : <= 1.2
  1.052  DISP         - Connectors : Type N (m/f)
  1.052  DISP         Agilent 8491A Opt 010 or equivalent
  1.052  DISP
  1.052  DISP         10 dB Fixed Attenuator (2 ea.):
  1.052  DISP         - Frequency : 50 MHz to [V Limit] GHz
  1.052  DISP         - VSWR : <= 1.1 to 8, 1.15 to 12.4, 1.15 to 26.5 GHz
  1.052  DISP         - Connectors : 3.5 mm (m/f)
  1.052  DISP         Agilent 8493C Opt 020 or equivalent
  1.052  DISP
  1.052  DISP         Termination:
  1.052  DISP         - Frequency : DC to [V Limit] GHz
  1.052  DISP         - Impedance : 50 Ohms
  1.052  DISP         - Connector : Type N (m)
  1.052  DISP         Agilent 909C or equivalent

  1.053  HEAD         -2 Adapters: Page 2 of 3
  1.054  DISP         - Adapter, 3.5 mm (f) - 3.5 mm (f), 50 Ohms, DC to
  1.054  DISP         [32] 34 GHz, VSWR: 1.15; Agilent 1250-1749 or equivalent
  1.054  DISP         - Adapter, 3.5 mm (m) - 3.5 mm (m), 50 Ohms, DC to
  1.054  DISP         [32] 34 GHz, VSWR: 1.15; Agilent 1250-1748 or equivalent
  1.054  DISP         - Adapter, Type N (m) - 3.5 mm (m), 50 Ohms, DC to
  1.054  DISP         [32] 18 GHz, VSWR: 1.08, 3 ea.; Agilent 1250-1743 or
  1.054  DISP         [32] equivalent
  1.054  DISP         - Adapter, Type N (m) - 3.5 mm (f), 50 Ohms, DC to
  1.054  DISP         [32] 18 GHz, VSWR: 1.08; Agilent 1250-1744 or equivalent
  1.054  DISP         - Adapter, Type N (f) - 3.5 mm (f), 50 Ohms, DC to
  1.054  DISP         [32] 18 GHz, VSWR: 1.08; Agilent 1250-1745 or equivalent
  1.054  DISP         - Adapter, Type N (f) - 3.5 mm (m), 50 Ohms, DC to
  1.054  DISP         [32] 18 GHz, VSWR: 1.14; Agilent 1250-1750 or equivalent
  1.054  DISP         - Adapter, Type N (m) - BNC (m), 50 Ohms, DC to 1.3 GHz,
  1.054  DISP         [32] VSWR: 1.13, Agilent 1250-1473 or equivalent
  1.054  DISP         - Adapter, Type N (m) - BNC (f), 50 Ohms, DC to 1.3 GHz,
  1.054  DISP         [32] VSWR: 1.13, Agilent 1250-1476 or equivalent
  1.054  DISP         - Adapter, Type N (m)-(m), 50 Ohms, DC to 18 GHz,
  1.054  DISP         [32] VSWR: 1.13; Agilent 1250-1475 or equivalent
  1.054  DISP         - Adapter, Type N (m) - 3.5 mm (f), 50 Ohms, 50 MHz;
  1.054  DISP         [32] Agilent 08485-60005 (Agilent 8485A standard
  1.054  DISP         [32] accessory; used for power sensor calibration ONLY)

  1.055  HEAD         -2 Adapters: Page 3 of 3
  1.056  DISP         - Tee, BNC (f)-(m)-(f), 50 Ohms; Agilent 1250-0781 or
  1.056  DISP         [32] equivalent
  1.056  DISP
  1.056  DISP         - Cable assy., 3.5 mm (m)-(m), 50 Ohms, 36", DC to
  1.056  DISP         [32] 26.5 GHz, Maximum SWR: <1.4, 2 ea.; Agilent
  1.056  DISP         [32] 8120-4921 or equivalent
  1.056  DISP         - Cable assy., 3.5 mm (m)-(m), 50 Ohms, 24", DC to
  1.056  DISP         [32] 26.5 GHz, Maximum SWR: <1.4, 2 ea.; Agilent 11500E
  1.056  DISP         [32] or equivalent
  1.056  DISP         - Cable assy., BNC (m)-(m), 50 Ohms, 36", 2 ea.
  1.056  DISP         - Cable assy., BNC (m)-(m), 50 Ohm, 6", DC to 300 MHz;
  1.056  DISP         [32] Agilent 10502A or equivalent
  1.057  ENDIF

  1.058  HEAD         -2
  1.059  HEAD
  1.060  END
